(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     83344,       1693]
NotebookOptionsPosition[     81995,       1640]
NotebookOutlinePosition[     82419,       1658]
CellTagsIndexPosition[     82376,       1655]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Differential equations", "Title",
 CellChangeTimes->{{3.40506340852256*^9, 3.405063417956125*^9}, {
  3.4050761488564606`*^9, 3.4050761534330416`*^9}}],

Cell[CellGroupData[{

Cell["Definitions", "MainSection",
 CellChangeTimes->{{3.4050585498808193`*^9, 3.4050585995222*^9}, {
  3.4050608592114735`*^9, 3.405060862796629*^9}, {3.4050634028243666`*^9, 
  3.405063404817232*^9}}],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}]], "Input", \
"Deemphasis",
 InitializationCell->True,
 CellChangeTimes->{{3.4038568071604943`*^9, 3.403856808181963*^9}},
 CellID->528675717],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "VisualODE", "]"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"VisualODE", "[", 
     RowBox[{"eqn_", ",", "v_", ",", "IC_", ",", 
      RowBox[{"{", 
       RowBox[{"t_", ",", "t1_", ",", "t2_"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x1_", ",", "x2_"}], "}"}]}], "]"}], ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"DynamicModule", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p", "=", "IC"}], ",", "fld", ",", "pfld", ",", "sol", ",", 
        "a"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"fld", "=", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"eqn", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "/.", 
         RowBox[{
          RowBox[{"a_", "[", "t", "]"}], "\[Rule]", "a"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"pfld", "=", 
        RowBox[{"VectorFieldPlot", "[", 
         RowBox[{"fld", ",", " ", 
          RowBox[{"{", 
           RowBox[{"t", ",", " ", "t1", ",", " ", "t2"}], "}"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{"v", ",", " ", "x1", ",", " ", "x2"}], "}"}], ",", 
          RowBox[{"Axes", "\[Rule]", "True"}], ",", 
          RowBox[{"ScaleFactor", "\[Rule]", "0.4"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"sol", "=", 
        RowBox[{"Dynamic", "[", 
         RowBox[{
          RowBox[{"v", "[", "t", "]"}], "/.", 
          RowBox[{"NDSolve", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"eqn", ",", 
              RowBox[{
               RowBox[{"v", "[", 
                RowBox[{"p", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}], "\[Equal]", 
               RowBox[{"p", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], ",", 
            RowBox[{"v", "[", "t", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"t", ",", 
              RowBox[{"p", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", "t2"}], "}"}]}], "]"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"LocatorPane", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", 
          RowBox[{"p", ",", 
           RowBox[{"SynchronousUpdating", "\[Rule]", "False"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Show", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Opacity", "[", "0.4", "]"}], ",", 
                RowBox[{"pfld", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{"Evaluate", "[", "sol", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"t", ",", 
                 RowBox[{"p", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "t2"}], "}"}], ",", 
               RowBox[{"PlotStyle", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"Thickness", "[", "0.01", "]"}], "}"}]}]}], "]"}], 
             ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"t1", ",", "t2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x1", ",", "x2"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"Frame", "\[Rule]", "True"}], ",", 
             RowBox[{"PlotLabel", "\[Rule]", 
              RowBox[{"ControlActive", "[", 
               RowBox[{"p", ",", "\"\<\>\""}], "]"}]}], ",", 
             RowBox[{"AspectRatio", "\[Rule]", 
              RowBox[{"1", "/", "GoldenRatio"}]}]}], "\[IndentingNewLine]", 
            "]"}], ",", 
           RowBox[{"SynchronousUpdating", "\[Rule]", "True"}]}], "]"}], ",", 
         RowBox[{"ContinuousAction", "\[Rule]", "True"}]}], 
        "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VisualODE", "[", 
   RowBox[{"eqn_", ",", "v_", ",", "IC_", ",", 
    RowBox[{"{", 
     RowBox[{"t_", ",", "t1_", ",", "t2_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x1_", ",", "x2_"}], "}"}]}], "]"}], ":=", "\[IndentingNewLine]",
   
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "=", "IC"}], ",", "fld", ",", "pfld", ",", "a"}], "}"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"fld", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"eqn", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "/.", 
       RowBox[{
        RowBox[{"a_", "[", "t", "]"}], "\[Rule]", "a"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"pfld", "=", 
      RowBox[{"VectorFieldPlot", "[", 
       RowBox[{"fld", ",", " ", 
        RowBox[{"{", 
         RowBox[{"t", ",", " ", "t1", ",", " ", "t2"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"v", ",", " ", "x1", ",", " ", "x2"}], "}"}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"ScaleFactor", "\[Rule]", "0.4"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Show", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Opacity", "[", "0.4", "]"}], ",", 
            RowBox[{"pfld", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"Evaluate", "[", 
            RowBox[{
             RowBox[{"v", "[", "t", "]"}], "/.", 
             RowBox[{"NDSolve", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"eqn", ",", 
                 RowBox[{
                  RowBox[{"v", "[", 
                   RowBox[{"p", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "\[Equal]", 
                  RowBox[{"p", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], ",", 
               RowBox[{"v", "[", "t", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"t", ",", 
                 RowBox[{"p", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "t2"}], "}"}]}], 
              "]"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{"p", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "t2"}], "}"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Thickness", "[", "0.01", "]"}], "}"}]}]}], "]"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"t1", ",", "t2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Frame", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"ControlActive", "[", 
           RowBox[{"p", ",", "\"\<\>\""}], "]"}]}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", 
          RowBox[{"1", "/", "GoldenRatio"}]}]}], "\[IndentingNewLine]", "]"}],
        ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"p", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", "Locator"}], 
        "}"}]}], "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.404909654191544*^9, 3.404909739934837*^9}, {
   3.4049097846591473`*^9, 3.404909786341566*^9}, {3.4049098364436097`*^9, 
   3.4049098426224947`*^9}, {3.4049098876171937`*^9, 
   3.4049098893496847`*^9}, {3.4049099509282303`*^9, 
   3.4049099567365828`*^9}, {3.404910053816176*^9, 3.4049100808850994`*^9}, {
   3.4049101671190977`*^9, 3.404910169562611*^9}, {3.4049102122339697`*^9, 
   3.40491021523829*^9}, {3.4049104849060526`*^9, 3.404910497474125*^9}, {
   3.4049105729326286`*^9, 3.404910654349701*^9}, {3.404910854707802*^9, 
   3.404910882958424*^9}, {3.404910943926091*^9, 3.4049109480319953`*^9}, {
   3.404910996541749*^9, 3.4049109996862707`*^9}, {3.4049110478855777`*^9, 
   3.404911071709835*^9}, {3.404911113089336*^9, 3.404911114591496*^9}, {
   3.4049111450352716`*^9, 3.4049111896894817`*^9}, {3.404911228365094*^9, 
   3.4049112396312943`*^9}, {3.4049112711065536`*^9, 
   3.4049112761137533`*^9}, {3.404911348878384*^9, 3.404911351852661*^9}, {
   3.40491144232275*^9, 3.404911478895339*^9}, {3.404911510280469*^9, 
   3.4049115275953665`*^9}, {3.4049115761151342`*^9, 
   3.4049116617883263`*^9}, {3.404911703227914*^9, 3.4049117393498545`*^9}, {
   3.4049118606342525`*^9, 3.4049118626371326`*^9}, {3.40491194003843*^9, 
   3.4049119719342947`*^9}, {3.4049120063337584`*^9, 3.404912010359547*^9}, {
   3.40491206180352*^9, 3.404912108340437*^9}, {3.4049122732075043`*^9, 
   3.40491235631701*^9}, {3.4049123870311747`*^9, 3.4049123918481007`*^9}, {
   3.404912425446413*^9, 3.404912453887309*^9}, {3.404912605815771*^9, 
   3.4049126089502783`*^9}, {3.404912782940464*^9, 3.4049128015872765`*^9}, {
   3.4049132147413635`*^9, 3.4049132260876784`*^9}, {3.404913257342621*^9, 
   3.404913267687496*^9}, {3.4049133644666576`*^9, 3.404913402311075*^9}, {
   3.4049134470754433`*^9, 3.4049134476562786`*^9}, {3.4049135238358192`*^9, 
   3.4049135240861793`*^9}, {3.4049137055370927`*^9, 
   3.4049137097130976`*^9}, {3.4049137790828466`*^9, 3.404913804769782*^9}, {
   3.404913870053656*^9, 3.4049138703240447`*^9}, {3.4049143003023233`*^9, 
   3.404914312870395*^9}, {3.4049148793950176`*^9, 3.404914961573184*^9}, {
   3.404914995101395*^9, 3.4049150055764575`*^9}, {3.405024564044984*^9, 
   3.405024574630205*^9}, {3.4050246123744783`*^9, 3.4050249124960318`*^9}, {
   3.4050249547167425`*^9, 3.4050249610158*^9}, 3.4050250136114287`*^9, {
   3.405025103190237*^9, 3.405025104081518*^9}, {3.405025137299283*^9, 
   3.4050251396025953`*^9}, {3.405025196474373*^9, 3.405025216783576*^9}, 
   3.4050253449078093`*^9, {3.405025381440341*^9, 3.405025396612157*^9}, {
   3.40502542843792*^9, 3.4050254346468477`*^9}, {3.405025539617789*^9, 
   3.405025629086438*^9}, {3.4050258472000704`*^9, 3.405025854220165*^9}, {
   3.4050260382047215`*^9, 3.4050260652035437`*^9}, {3.4050260962882414`*^9, 
   3.4050261920058765`*^9}, 3.405026278009544*^9, {3.4050263114876833`*^9, 
   3.40502633658377*^9}, {3.405026377652824*^9, 3.405026402288248*^9}, {
   3.405058640060491*^9, 3.405058736248803*^9}, {3.405058770618224*^9, 
   3.405058780562523*^9}, {3.405058819859029*^9, 3.4050588205600367`*^9}, {
   3.4050589184908543`*^9, 3.405058922957277*^9}, {3.4050590363603425`*^9, 
   3.405059036570645*^9}, {3.4050601152116547`*^9, 3.4050601403477983`*^9}, {
   3.4050601943554573`*^9, 3.4050602152054386`*^9}, {3.4050602602702384`*^9, 
   3.4050602675306787`*^9}, 3.4050603425886064`*^9, {3.405060869235888*^9, 
   3.4050609312350388`*^9}, {3.405060998241389*^9, 3.4050610843351855`*^9}, {
   3.4050611150092926`*^9, 3.4050611267161264`*^9}, {3.4050612068914127`*^9, 
   3.4050612075323343`*^9}, {3.4050615753165393`*^9, 3.405061610967803*^9}, {
   3.4050616527879376`*^9, 3.4050616938670063`*^9}, {3.405061762675949*^9, 
   3.4050617733112416`*^9}, {3.4050619495146093`*^9, 3.405061950646237*^9}, {
   3.4050620169816227`*^9, 3.4050620359689245`*^9}, {3.4050621238653135`*^9, 
   3.405062124796653*^9}, 3.405062190921736*^9, 3.40506223893077*^9, 
   3.4050623083706193`*^9, {3.4050630702261133`*^9, 3.405063070516531*^9}, {
   3.4050632163362093`*^9, 3.4050632199013357`*^9}, {3.4050763079251904`*^9, 
   3.405076309257106*^9}, {3.4050765788147106`*^9, 3.405076606494512*^9}, {
   3.4050767456345854`*^9, 3.4050767720926304`*^9}, {3.4050768181688848`*^9, 
   3.4050768364651937`*^9}, {3.4050768795972147`*^9, 3.405076883693104*^9}, {
   3.4050769429082513`*^9, 3.405076959251752*^9}, {3.405077002904522*^9, 
   3.405077008282254*^9}, {3.405077069330037*^9, 3.4050770844217377`*^9}, {
   3.4050771236080847`*^9, 3.4050771290859613`*^9}, 3.4050771660891695`*^9, {
   3.4050772121854525`*^9, 3.405077247936861*^9}, {3.405077295254901*^9, 
   3.405077474112085*^9}, {3.405077534358715*^9, 3.4050775378737698`*^9}, {
   3.405077579944264*^9, 3.4050775983807745`*^9}, {3.4050776380878706`*^9, 
   3.4050776439262657`*^9}, {3.4050777749346466`*^9, 
   3.4050777777086353`*^9}, {3.405077818627474*^9, 3.405077820369979*^9}, {
   3.4050778681486816`*^9, 3.4050778693504095`*^9}},
 CellID->143914918],

Cell[BoxData[{
 RowBox[{"Clear", "[", "ClickVisualODE", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClickVisualODE", "[", 
   RowBox[{"eqn_", ",", "var_", ",", "IC_", ",", 
    RowBox[{"{", 
     RowBox[{"t_", ",", "t1_", ",", "t2_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x1_", ",", "x2_"}], "}"}]}], "]"}], ":=", "\[IndentingNewLine]",
   
  RowBox[{"DynamicModule", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "=", 
       RowBox[{"{", "IC", "}"}]}], ",", "fld", ",", "pfld", ",", "a"}], "}"}],
     ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"fld", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"eqn", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "/.", 
       RowBox[{
        RowBox[{"a_", "[", "t", "]"}], "\[Rule]", "a"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"pfld", "=", 
      RowBox[{"VectorFieldPlot", "[", 
       RowBox[{"fld", ",", " ", 
        RowBox[{"{", 
         RowBox[{"t", ",", " ", "t1", ",", " ", "t2"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"var", ",", " ", "x1", ",", " ", "x2"}], "}"}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"ScaleFactor", "\[Rule]", "0.4"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"EventHandler", "[", 
      RowBox[{
       RowBox[{"Dynamic", "[", 
        RowBox[{"Show", "[", 
         RowBox[{
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Opacity", "[", "0.4", "]"}], ",", 
             RowBox[{"pfld", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "]"}], ",", 
          RowBox[{"Graphics", "[", 
           RowBox[{"Thickness", "[", "0.01", "]"}], "]"}], ",", 
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{"Evaluate", "[", 
                RowBox[{
                 RowBox[{"var", "[", "t", "]"}], "/.", 
                 RowBox[{"NDSolve", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"eqn", ",", 
                    RowBox[{
                    RowBox[{"var", "[", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "\[Equal]", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], ",", 
                   RowBox[{"var", "[", "t", "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "t2"}], "}"}]}], 
                  "]"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"t", ",", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "t2"}], "}"}], ",", 
               RowBox[{"PlotRange", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"t1", ",", "t2"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x1", ",", "x2"}], "}"}]}], "}"}]}]}], "]"}], 
             "&"}], ",", "q"}], "]"}], ",", 
          RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
          RowBox[{"PlotLabel", "\[Rule]", 
           RowBox[{"Last", "[", "q", "]"}]}], ",", 
          RowBox[{"AspectRatio", "\[Rule]", 
           RowBox[{"1", "/", "GoldenRatio"}]}]}], "]"}], 
        "\[IndentingNewLine]", "]"}], ",", 
       RowBox[{"\"\<MouseDown\>\"", "\[RuleDelayed]", 
        RowBox[{"(", 
         RowBox[{"AppendTo", "[", 
          RowBox[{"q", ",", 
           RowBox[{"MapThread", "[", 
            RowBox[{"Max", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"MousePosition", "[", "\"\<Graphics\>\"", "]"}]}], 
              "}"}], ",", "1"}], "]"}]}], "]"}], ")"}]}]}], "]"}]}]}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.404909654191544*^9, 3.404909739934837*^9}, {
   3.4049097846591473`*^9, 3.404909786341566*^9}, {3.4049098364436097`*^9, 
   3.4049098426224947`*^9}, {3.4049098876171937`*^9, 
   3.4049098893496847`*^9}, {3.4049099509282303`*^9, 
   3.4049099567365828`*^9}, {3.404910053816176*^9, 3.4049100808850994`*^9}, {
   3.4049101671190977`*^9, 3.404910169562611*^9}, {3.4049102122339697`*^9, 
   3.40491021523829*^9}, {3.4049104849060526`*^9, 3.404910497474125*^9}, {
   3.4050264824835634`*^9, 3.405026538764491*^9}, 3.4050266523878736`*^9, {
   3.405026698434085*^9, 3.405026705153747*^9}, {3.4050267384816704`*^9, 
   3.405026781904109*^9}, {3.4050268290819473`*^9, 3.4050269333018084`*^9}, {
   3.4050270529338303`*^9, 3.4050270529939165`*^9}, {3.4050271306956463`*^9, 
   3.405027162871914*^9}, {3.405027215838075*^9, 3.405027343491632*^9}, 
   3.4050273885464177`*^9, {3.405027449033394*^9, 3.405027450275179*^9}, {
   3.40502757393299*^9, 3.405027623013565*^9}, {3.405027682258755*^9, 
   3.405027684862499*^9}, {3.405027759489808*^9, 3.4050277955716915`*^9}, {
   3.405059027407469*^9, 3.4050591033066063`*^9}, {3.4050591540295424`*^9, 
   3.405059168961013*^9}, {3.4050594905734687`*^9, 3.4050595129957104`*^9}, {
   3.4050595475754337`*^9, 3.405059547875866*^9}, {3.405059628381627*^9, 
   3.4050596290425777`*^9}, {3.405059760171131*^9, 3.4050597762943153`*^9}, {
   3.405059808931245*^9, 3.405059824753997*^9}, {3.4050598863125134`*^9, 
   3.4050600668521166`*^9}, {3.4050606721725245`*^9, 
   3.4050607721362658`*^9}, {3.4050608034512944`*^9, 
   3.4050608133355074`*^9}, {3.4050623510920496`*^9, 
   3.4050624763521647`*^9}, {3.40506254343863*^9, 3.4050625438191776`*^9}, {
   3.4050626050071616`*^9, 3.4050626056080256`*^9}, {3.405062640988901*^9, 
   3.405062642541133*^9}, 3.4050627446179123`*^9, {3.405062788180552*^9, 
   3.4050627886412144`*^9}, {3.40506287425432*^9, 3.4050628953646755`*^9}, {
   3.40506297940552*^9, 3.4050630011067247`*^9}, {3.405063139936352*^9, 
   3.405063192511952*^9}, 3.4050763167679057`*^9},
 CellID->250069490]
}, Closed]],

Cell[CellGroupData[{

Cell["Applications", "MainSection",
 CellChangeTimes->{{3.4050634314655504`*^9, 3.405063433678733*^9}, {
  3.4050761570482397`*^9, 3.4050761593415375`*^9}}],

Cell[CellGroupData[{

Cell["\<\
Logistic equation: x'[t] \[Equal] x[t]*(1 - x[t])\
\>", "Section",
 CellChangeTimes->{{3.4050634463469486`*^9, 3.40506346519405*^9}, {
  3.405076163527557*^9, 3.4050761708280544`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"VisualODE", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "'"}], "[", "t", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"x", "[", "t", "]"}]}], ")"}]}]}], ",", "x", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.", ",", "1.5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4050611642701263`*^9, 3.4050611873032465`*^9}, {
  3.405061589196498*^9, 3.4050615922408752`*^9}, {3.405061889147806*^9, 
  3.405061890389592*^9}, {3.4050621683793216`*^9, 3.4050621730360174`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`p$22964$$ = {0.084, 0.466}, Typeset`show$$ =
     True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`p$22964$$], {0, 1}}, Automatic}}, Typeset`size$$ = {
    540., {176., 186.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`p$22964$$ = {0, 1}}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[{
          Opacity[0.4], 
          Part[$CellContext`pfld$22964, 1]}], 
        Plot[
         Evaluate[
          ReplaceAll[
           $CellContext`x[$CellContext`t], 
           
           NDSolve[{
            Derivative[
              1][$CellContext`x][$CellContext`t] == (
               1 - $CellContext`x[$CellContext`t]) \
$CellContext`x[$CellContext`t], $CellContext`x[
               Part[$CellContext`p$22964$$, 1]] == 
             Part[$CellContext`p$22964$$, 2]}, 
            $CellContext`x[$CellContext`t], {$CellContext`t, 
             Part[$CellContext`p$22964$$, 1], 4}]]], {$CellContext`t, 
          Part[$CellContext`p$22964$$, 1], 4}, PlotStyle -> {
           Thickness[0.01]}], PlotRange -> {{0, 4}, {0., 1.5}}, Frame -> True,
         PlotLabel -> ControlActive[$CellContext`p$22964$$, ""], AspectRatio -> 
        1/GoldenRatio], 
      "Specifications" :> {{{$CellContext`p$22964$$, {0, 1}}, Automatic, 
         ControlType -> Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{589., {209.5, 216.5}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.4050636154901648`*^9, {3.4050763599800415`*^9, 3.40507638246237*^9}, 
   3.405076615136939*^9, 3.40507667379128*^9, {3.405076793763792*^9, 
   3.405076813442088*^9}, {3.4050768653667517`*^9, 3.405076892976453*^9}, 
   3.405076964939931*^9, 3.405077017415387*^9, 3.405077091712221*^9, 
   3.4050771417541776`*^9, 3.4050771808103375`*^9, {3.405077229910941*^9, 
   3.4050772537051554`*^9}, 3.405077490205226*^9, 3.405077542890984*^9, 
   3.4050776551123505`*^9, 3.405077784017707*^9, 3.4050778740271344`*^9, 
   3.40507795788772*^9, 3.4050796834890127`*^9, {3.4051921039207664`*^9, 
   3.405192140403226*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ClickVisualODE", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "'"}], "[", "t", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"x", "[", "t", "]"}]}], ")"}]}]}], ",", "x", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.", ",", "1.5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4050611642701263`*^9, 3.4050611873032465`*^9}, {
  3.405061589196498*^9, 3.4050615922408752`*^9}, {3.405061889147806*^9, 
  3.405061890389592*^9}, {3.4050621683793216`*^9, 3.4050621730360174`*^9}, {
  3.4050636115344768`*^9, 3.405063612585989*^9}}],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`q$$ = {{0, 1}}, $CellContext`fld$$ = {
  1, (1 - $CellContext`x) $CellContext`x}, $CellContext`pfld$$ = Graphics[{
    Thickness[Small], 
    Arrowheads[0.02], {{
      Arrow[{{0., 0.}, {0.32000000000000006`, 0.}}]}, {
      Arrow[{{0., 0.10714285714285714`}, {0.32000000000000006`, 
       0.1377551020408163}}]}, {
      Arrow[{{0., 0.21428571428571427`}, {0.32000000000000006`, 
       0.26816326530612244`}}]}, {
      Arrow[{{0., 0.3214285714285714}, {0.32000000000000006`, 
       0.39122448979591834`}}]}, {
      Arrow[{{0., 0.42857142857142855`}, {0.32000000000000006`, 
       0.506938775510204}}]}, {
      Arrow[{{0., 0.5357142857142857}, {0.32000000000000006`, 
       0.6153061224489796}}]}, {
      Arrow[{{0., 0.6428571428571428}, {0.32000000000000006`, 
       0.7163265306122448}}]}, {
      Arrow[{{0., 0.75}, {0.32000000000000006`, 0.81}}]}, {
      Arrow[{{0., 0.8571428571428571}, {0.32000000000000006`, 
       0.8963265306122449}}]}, {
      Arrow[{{0., 0.9642857142857142}, {0.32000000000000006`, 
       0.9753061224489795}}]}, {
      Arrow[{{0., 1.0714285714285714`}, {0.32000000000000006`, 
       1.046938775510204}}]}, {
      Arrow[{{0., 1.1785714285714286`}, {0.32000000000000006`, 
       1.1112244897959185`}}]}, {
      Arrow[{{0., 1.2857142857142856`}, {0.32000000000000006`, 
       1.1681632653061225`}}]}, {
      Arrow[{{0., 1.3928571428571428`}, {0.32000000000000006`, 
       1.2177551020408162`}}]}, {
      Arrow[{{0., 1.5}, {0.32000000000000006`, 1.26}}]}, {
      Arrow[{{0.2857142857142857, 0.}, {0.6057142857142858, 0.}}]}, {
      Arrow[{{0.2857142857142857, 0.10714285714285714`}, {0.6057142857142858, 
       0.1377551020408163}}]}, {
      Arrow[{{0.2857142857142857, 0.21428571428571427`}, {0.6057142857142858, 
       0.26816326530612244`}}]}, {
      Arrow[{{0.2857142857142857, 0.3214285714285714}, {0.6057142857142858, 
       0.39122448979591834`}}]}, {
      Arrow[{{0.2857142857142857, 0.42857142857142855`}, {0.6057142857142858, 
       0.506938775510204}}]}, {
      Arrow[{{0.2857142857142857, 0.5357142857142857}, {0.6057142857142858, 
       0.6153061224489796}}]}, {
      Arrow[{{0.2857142857142857, 0.6428571428571428}, {0.6057142857142858, 
       0.7163265306122448}}]}, {
      Arrow[{{0.2857142857142857, 0.75}, {0.6057142857142858, 0.81}}]}, {
      Arrow[{{0.2857142857142857, 0.8571428571428571}, {0.6057142857142858, 
       0.8963265306122449}}]}, {
      Arrow[{{0.2857142857142857, 0.9642857142857142}, {0.6057142857142858, 
       0.9753061224489795}}]}, {
      Arrow[{{0.2857142857142857, 1.0714285714285714`}, {0.6057142857142858, 
       1.046938775510204}}]}, {
      Arrow[{{0.2857142857142857, 1.1785714285714286`}, {0.6057142857142858, 
       1.1112244897959185`}}]}, {
      Arrow[{{0.2857142857142857, 1.2857142857142856`}, {0.6057142857142858, 
       1.1681632653061225`}}]}, {
      Arrow[{{0.2857142857142857, 1.3928571428571428`}, {0.6057142857142858, 
       1.2177551020408162`}}]}, {
      Arrow[{{0.2857142857142857, 1.5}, {0.6057142857142858, 1.26}}]}, {
      Arrow[{{0.5714285714285714, 0.}, {0.8914285714285715, 0.}}]}, {
      Arrow[{{0.5714285714285714, 0.10714285714285714`}, {0.8914285714285715, 
       0.1377551020408163}}]}, {
      Arrow[{{0.5714285714285714, 0.21428571428571427`}, {0.8914285714285715, 
       0.26816326530612244`}}]}, {
      Arrow[{{0.5714285714285714, 0.3214285714285714}, {0.8914285714285715, 
       0.39122448979591834`}}]}, {
      Arrow[{{0.5714285714285714, 0.42857142857142855`}, {0.8914285714285715, 
       0.506938775510204}}]}, {
      Arrow[{{0.5714285714285714, 0.5357142857142857}, {0.8914285714285715, 
       0.6153061224489796}}]}, {
      Arrow[{{0.5714285714285714, 0.6428571428571428}, {0.8914285714285715, 
       0.7163265306122448}}]}, {
      Arrow[{{0.5714285714285714, 0.75}, {0.8914285714285715, 0.81}}]}, {
      Arrow[{{0.5714285714285714, 0.8571428571428571}, {0.8914285714285715, 
       0.8963265306122449}}]}, {
      Arrow[{{0.5714285714285714, 0.9642857142857142}, {0.8914285714285715, 
       0.9753061224489795}}]}, {
      Arrow[{{0.5714285714285714, 1.0714285714285714`}, {0.8914285714285715, 
       1.046938775510204}}]}, {
      Arrow[{{0.5714285714285714, 1.1785714285714286`}, {0.8914285714285715, 
       1.1112244897959185`}}]}, {
      Arrow[{{0.5714285714285714, 1.2857142857142856`}, {0.8914285714285715, 
       1.1681632653061225`}}]}, {
      Arrow[{{0.5714285714285714, 1.3928571428571428`}, {0.8914285714285715, 
       1.2177551020408162`}}]}, {
      Arrow[{{0.5714285714285714, 1.5}, {0.8914285714285715, 1.26}}]}, {
      Arrow[{{0.8571428571428571, 0.}, {1.177142857142857, 0.}}]}, {
      Arrow[{{0.8571428571428571, 0.10714285714285714`}, {1.177142857142857, 
       0.1377551020408163}}]}, {
      Arrow[{{0.8571428571428571, 0.21428571428571427`}, {1.177142857142857, 
       0.26816326530612244`}}]}, {
      Arrow[{{0.8571428571428571, 0.3214285714285714}, {1.177142857142857, 
       0.39122448979591834`}}]}, {
      Arrow[{{0.8571428571428571, 0.42857142857142855`}, {1.177142857142857, 
       0.506938775510204}}]}, {
      Arrow[{{0.8571428571428571, 0.5357142857142857}, {1.177142857142857, 
       0.6153061224489796}}]}, {
      Arrow[{{0.8571428571428571, 0.6428571428571428}, {1.177142857142857, 
       0.7163265306122448}}]}, {
      Arrow[{{0.8571428571428571, 0.75}, {1.177142857142857, 0.81}}]}, {
      Arrow[{{0.8571428571428571, 0.8571428571428571}, {1.177142857142857, 
       0.8963265306122449}}]}, {
      Arrow[{{0.8571428571428571, 0.9642857142857142}, {1.177142857142857, 
       0.9753061224489795}}]}, {
      Arrow[{{0.8571428571428571, 1.0714285714285714`}, {1.177142857142857, 
       1.046938775510204}}]}, {
      Arrow[{{0.8571428571428571, 1.1785714285714286`}, {1.177142857142857, 
       1.1112244897959185`}}]}, {
      Arrow[{{0.8571428571428571, 1.2857142857142856`}, {1.177142857142857, 
       1.1681632653061225`}}]}, {
      Arrow[{{0.8571428571428571, 1.3928571428571428`}, {1.177142857142857, 
       1.2177551020408162`}}]}, {
      Arrow[{{0.8571428571428571, 1.5}, {1.177142857142857, 1.26}}]}, {
      Arrow[{{1.1428571428571428`, 0.}, {1.4628571428571429`, 0.}}]}, {
      Arrow[{{1.1428571428571428`, 0.10714285714285714`}, {
       1.4628571428571429`, 0.1377551020408163}}]}, {
      Arrow[{{1.1428571428571428`, 0.21428571428571427`}, {
       1.4628571428571429`, 0.26816326530612244`}}]}, {
      Arrow[{{1.1428571428571428`, 0.3214285714285714}, {1.4628571428571429`, 
       0.39122448979591834`}}]}, {
      Arrow[{{1.1428571428571428`, 0.42857142857142855`}, {
       1.4628571428571429`, 0.506938775510204}}]}, {
      Arrow[{{1.1428571428571428`, 0.5357142857142857}, {1.4628571428571429`, 
       0.6153061224489796}}]}, {
      Arrow[{{1.1428571428571428`, 0.6428571428571428}, {1.4628571428571429`, 
       0.7163265306122448}}]}, {
      Arrow[{{1.1428571428571428`, 0.75}, {1.4628571428571429`, 0.81}}]}, {
      Arrow[{{1.1428571428571428`, 0.8571428571428571}, {1.4628571428571429`, 
       0.8963265306122449}}]}, {
      Arrow[{{1.1428571428571428`, 0.9642857142857142}, {1.4628571428571429`, 
       0.9753061224489795}}]}, {
      Arrow[{{1.1428571428571428`, 1.0714285714285714`}, {1.4628571428571429`,
        1.046938775510204}}]}, {
      Arrow[{{1.1428571428571428`, 1.1785714285714286`}, {1.4628571428571429`,
        1.1112244897959185`}}]}, {
      Arrow[{{1.1428571428571428`, 1.2857142857142856`}, {1.4628571428571429`,
        1.1681632653061225`}}]}, {
      Arrow[{{1.1428571428571428`, 1.3928571428571428`}, {1.4628571428571429`,
        1.2177551020408162`}}]}, {
      Arrow[{{1.1428571428571428`, 1.5}, {1.4628571428571429`, 1.26}}]}, {
      Arrow[{{1.4285714285714286`, 0.}, {1.7485714285714287`, 0.}}]}, {
      Arrow[{{1.4285714285714286`, 0.10714285714285714`}, {
       1.7485714285714287`, 0.1377551020408163}}]}, {
      Arrow[{{1.4285714285714286`, 0.21428571428571427`}, {
       1.7485714285714287`, 0.26816326530612244`}}]}, {
      Arrow[{{1.4285714285714286`, 0.3214285714285714}, {1.7485714285714287`, 
       0.39122448979591834`}}]}, {
      Arrow[{{1.4285714285714286`, 0.42857142857142855`}, {
       1.7485714285714287`, 0.506938775510204}}]}, {
      Arrow[{{1.4285714285714286`, 0.5357142857142857}, {1.7485714285714287`, 
       0.6153061224489796}}]}, {
      Arrow[{{1.4285714285714286`, 0.6428571428571428}, {1.7485714285714287`, 
       0.7163265306122448}}]}, {
      Arrow[{{1.4285714285714286`, 0.75}, {1.7485714285714287`, 0.81}}]}, {
      Arrow[{{1.4285714285714286`, 0.8571428571428571}, {1.7485714285714287`, 
       0.8963265306122449}}]}, {
      Arrow[{{1.4285714285714286`, 0.9642857142857142}, {1.7485714285714287`, 
       0.9753061224489795}}]}, {
      Arrow[{{1.4285714285714286`, 1.0714285714285714`}, {1.7485714285714287`,
        1.046938775510204}}]}, {
      Arrow[{{1.4285714285714286`, 1.1785714285714286`}, {1.7485714285714287`,
        1.1112244897959185`}}]}, {
      Arrow[{{1.4285714285714286`, 1.2857142857142856`}, {1.7485714285714287`,
        1.1681632653061225`}}]}, {
      Arrow[{{1.4285714285714286`, 1.3928571428571428`}, {1.7485714285714287`,
        1.2177551020408162`}}]}, {
      Arrow[{{1.4285714285714286`, 1.5}, {1.7485714285714287`, 1.26}}]}, {
      Arrow[{{1.7142857142857142`, 0.}, {2.0342857142857143`, 0.}}]}, {
      Arrow[{{1.7142857142857142`, 0.10714285714285714`}, {
       2.0342857142857143`, 0.1377551020408163}}]}, {
      Arrow[{{1.7142857142857142`, 0.21428571428571427`}, {
       2.0342857142857143`, 0.26816326530612244`}}]}, {
      Arrow[{{1.7142857142857142`, 0.3214285714285714}, {2.0342857142857143`, 
       0.39122448979591834`}}]}, {
      Arrow[{{1.7142857142857142`, 0.42857142857142855`}, {
       2.0342857142857143`, 0.506938775510204}}]}, {
      Arrow[{{1.7142857142857142`, 0.5357142857142857}, {2.0342857142857143`, 
       0.6153061224489796}}]}, {
      Arrow[{{1.7142857142857142`, 0.6428571428571428}, {2.0342857142857143`, 
       0.7163265306122448}}]}, {
      Arrow[{{1.7142857142857142`, 0.75}, {2.0342857142857143`, 0.81}}]}, {
      Arrow[{{1.7142857142857142`, 0.8571428571428571}, {2.0342857142857143`, 
       0.8963265306122449}}]}, {
      Arrow[{{1.7142857142857142`, 0.9642857142857142}, {2.0342857142857143`, 
       0.9753061224489795}}]}, {
      Arrow[{{1.7142857142857142`, 1.0714285714285714`}, {2.0342857142857143`,
        1.046938775510204}}]}, {
      Arrow[{{1.7142857142857142`, 1.1785714285714286`}, {2.0342857142857143`,
        1.1112244897959185`}}]}, {
      Arrow[{{1.7142857142857142`, 1.2857142857142856`}, {2.0342857142857143`,
        1.1681632653061225`}}]}, {
      Arrow[{{1.7142857142857142`, 1.3928571428571428`}, {2.0342857142857143`,
        1.2177551020408162`}}]}, {
      Arrow[{{1.7142857142857142`, 1.5}, {2.0342857142857143`, 1.26}}]}, {
      Arrow[{{2., 0.}, {2.3200000000000003`, 0.}}]}, {
      Arrow[{{2., 0.10714285714285714`}, {2.3200000000000003`, 
       0.1377551020408163}}]}, {
      Arrow[{{2., 0.21428571428571427`}, {2.3200000000000003`, 
       0.26816326530612244`}}]}, {
      Arrow[{{2., 0.3214285714285714}, {2.3200000000000003`, 
       0.39122448979591834`}}]}, {
      Arrow[{{2., 0.42857142857142855`}, {2.3200000000000003`, 
       0.506938775510204}}]}, {
      Arrow[{{2., 0.5357142857142857}, {2.3200000000000003`, 
       0.6153061224489796}}]}, {
      Arrow[{{2., 0.6428571428571428}, {2.3200000000000003`, 
       0.7163265306122448}}]}, {
      Arrow[{{2., 0.75}, {2.3200000000000003`, 0.81}}]}, {
      Arrow[{{2., 0.8571428571428571}, {2.3200000000000003`, 
       0.8963265306122449}}]}, {
      Arrow[{{2., 0.9642857142857142}, {2.3200000000000003`, 
       0.9753061224489795}}]}, {
      Arrow[{{2., 1.0714285714285714`}, {2.3200000000000003`, 
       1.046938775510204}}]}, {
      Arrow[{{2., 1.1785714285714286`}, {2.3200000000000003`, 
       1.1112244897959185`}}]}, {
      Arrow[{{2., 1.2857142857142856`}, {2.3200000000000003`, 
       1.1681632653061225`}}]}, {
      Arrow[{{2., 1.3928571428571428`}, {2.3200000000000003`, 
       1.2177551020408162`}}]}, {
      Arrow[{{2., 1.5}, {2.3200000000000003`, 1.26}}]}, {
      Arrow[{{2.2857142857142856`, 0.}, {2.605714285714286, 0.}}]}, {
      Arrow[{{2.2857142857142856`, 0.10714285714285714`}, {2.605714285714286, 
       0.1377551020408163}}]}, {
      Arrow[{{2.2857142857142856`, 0.21428571428571427`}, {2.605714285714286, 
       0.26816326530612244`}}]}, {
      Arrow[{{2.2857142857142856`, 0.3214285714285714}, {2.605714285714286, 
       0.39122448979591834`}}]}, {
      Arrow[{{2.2857142857142856`, 0.42857142857142855`}, {2.605714285714286, 
       0.506938775510204}}]}, {
      Arrow[{{2.2857142857142856`, 0.5357142857142857}, {2.605714285714286, 
       0.6153061224489796}}]}, {
      Arrow[{{2.2857142857142856`, 0.6428571428571428}, {2.605714285714286, 
       0.7163265306122448}}]}, {
      Arrow[{{2.2857142857142856`, 0.75}, {2.605714285714286, 0.81}}]}, {
      Arrow[{{2.2857142857142856`, 0.8571428571428571}, {2.605714285714286, 
       0.8963265306122449}}]}, {
      Arrow[{{2.2857142857142856`, 0.9642857142857142}, {2.605714285714286, 
       0.9753061224489795}}]}, {
      Arrow[{{2.2857142857142856`, 1.0714285714285714`}, {2.605714285714286, 
       1.046938775510204}}]}, {
      Arrow[{{2.2857142857142856`, 1.1785714285714286`}, {2.605714285714286, 
       1.1112244897959185`}}]}, {
      Arrow[{{2.2857142857142856`, 1.2857142857142856`}, {2.605714285714286, 
       1.1681632653061225`}}]}, {
      Arrow[{{2.2857142857142856`, 1.3928571428571428`}, {2.605714285714286, 
       1.2177551020408162`}}]}, {
      Arrow[{{2.2857142857142856`, 1.5}, {2.605714285714286, 1.26}}]}, {
      Arrow[{{2.5714285714285716`, 0.}, {2.8914285714285715`, 0.}}]}, {
      Arrow[{{2.5714285714285716`, 0.10714285714285714`}, {
       2.8914285714285715`, 0.1377551020408163}}]}, {
      Arrow[{{2.5714285714285716`, 0.21428571428571427`}, {
       2.8914285714285715`, 0.26816326530612244`}}]}, {
      Arrow[{{2.5714285714285716`, 0.3214285714285714}, {2.8914285714285715`, 
       0.39122448979591834`}}]}, {
      Arrow[{{2.5714285714285716`, 0.42857142857142855`}, {
       2.8914285714285715`, 0.506938775510204}}]}, {
      Arrow[{{2.5714285714285716`, 0.5357142857142857}, {2.8914285714285715`, 
       0.6153061224489796}}]}, {
      Arrow[{{2.5714285714285716`, 0.6428571428571428}, {2.8914285714285715`, 
       0.7163265306122448}}]}, {
      Arrow[{{2.5714285714285716`, 0.75}, {2.8914285714285715`, 0.81}}]}, {
      Arrow[{{2.5714285714285716`, 0.8571428571428571}, {2.8914285714285715`, 
       0.8963265306122449}}]}, {
      Arrow[{{2.5714285714285716`, 0.9642857142857142}, {2.8914285714285715`, 
       0.9753061224489795}}]}, {
      Arrow[{{2.5714285714285716`, 1.0714285714285714`}, {2.8914285714285715`,
        1.046938775510204}}]}, {
      Arrow[{{2.5714285714285716`, 1.1785714285714286`}, {2.8914285714285715`,
        1.1112244897959185`}}]}, {
      Arrow[{{2.5714285714285716`, 1.2857142857142856`}, {2.8914285714285715`,
        1.1681632653061225`}}]}, {
      Arrow[{{2.5714285714285716`, 1.3928571428571428`}, {2.8914285714285715`,
        1.2177551020408162`}}]}, {
      Arrow[{{2.5714285714285716`, 1.5}, {2.8914285714285715`, 1.26}}]}, {
      Arrow[{{2.857142857142857, 0.}, {3.177142857142857, 0.}}]}, {
      Arrow[{{2.857142857142857, 0.10714285714285714`}, {3.177142857142857, 
       0.1377551020408163}}]}, {
      Arrow[{{2.857142857142857, 0.21428571428571427`}, {3.177142857142857, 
       0.26816326530612244`}}]}, {
      Arrow[{{2.857142857142857, 0.3214285714285714}, {3.177142857142857, 
       0.39122448979591834`}}]}, {
      Arrow[{{2.857142857142857, 0.42857142857142855`}, {3.177142857142857, 
       0.506938775510204}}]}, {
      Arrow[{{2.857142857142857, 0.5357142857142857}, {3.177142857142857, 
       0.6153061224489796}}]}, {
      Arrow[{{2.857142857142857, 0.6428571428571428}, {3.177142857142857, 
       0.7163265306122448}}]}, {
      Arrow[{{2.857142857142857, 0.75}, {3.177142857142857, 0.81}}]}, {
      Arrow[{{2.857142857142857, 0.8571428571428571}, {3.177142857142857, 
       0.8963265306122449}}]}, {
      Arrow[{{2.857142857142857, 0.9642857142857142}, {3.177142857142857, 
       0.9753061224489795}}]}, {
      Arrow[{{2.857142857142857, 1.0714285714285714`}, {3.177142857142857, 
       1.046938775510204}}]}, {
      Arrow[{{2.857142857142857, 1.1785714285714286`}, {3.177142857142857, 
       1.1112244897959185`}}]}, {
      Arrow[{{2.857142857142857, 1.2857142857142856`}, {3.177142857142857, 
       1.1681632653061225`}}]}, {
      Arrow[{{2.857142857142857, 1.3928571428571428`}, {3.177142857142857, 
       1.2177551020408162`}}]}, {
      Arrow[{{2.857142857142857, 1.5}, {3.177142857142857, 1.26}}]}, {
      Arrow[{{3.142857142857143, 0.}, {3.4628571428571426`, 0.}}]}, {
      Arrow[{{3.142857142857143, 0.10714285714285714`}, {3.4628571428571426`, 
       0.1377551020408163}}]}, {
      Arrow[{{3.142857142857143, 0.21428571428571427`}, {3.4628571428571426`, 
       0.26816326530612244`}}]}, {
      Arrow[{{3.142857142857143, 0.3214285714285714}, {3.4628571428571426`, 
       0.39122448979591834`}}]}, {
      Arrow[{{3.142857142857143, 0.42857142857142855`}, {3.4628571428571426`, 
       0.506938775510204}}]}, {
      Arrow[{{3.142857142857143, 0.5357142857142857}, {3.4628571428571426`, 
       0.6153061224489796}}]}, {
      Arrow[{{3.142857142857143, 0.6428571428571428}, {3.4628571428571426`, 
       0.7163265306122448}}]}, {
      Arrow[{{3.142857142857143, 0.75}, {3.4628571428571426`, 0.81}}]}, {
      Arrow[{{3.142857142857143, 0.8571428571428571}, {3.4628571428571426`, 
       0.8963265306122449}}]}, {
      Arrow[{{3.142857142857143, 0.9642857142857142}, {3.4628571428571426`, 
       0.9753061224489795}}]}, {
      Arrow[{{3.142857142857143, 1.0714285714285714`}, {3.4628571428571426`, 
       1.046938775510204}}]}, {
      Arrow[{{3.142857142857143, 1.1785714285714286`}, {3.4628571428571426`, 
       1.1112244897959185`}}]}, {
      Arrow[{{3.142857142857143, 1.2857142857142856`}, {3.4628571428571426`, 
       1.1681632653061225`}}]}, {
      Arrow[{{3.142857142857143, 1.3928571428571428`}, {3.4628571428571426`, 
       1.2177551020408162`}}]}, {
      Arrow[{{3.142857142857143, 1.5}, {3.4628571428571426`, 1.26}}]}, {
      Arrow[{{3.4285714285714284`, 0.}, {3.748571428571428, 0.}}]}, {
      Arrow[{{3.4285714285714284`, 0.10714285714285714`}, {3.748571428571428, 
       0.1377551020408163}}]}, {
      Arrow[{{3.4285714285714284`, 0.21428571428571427`}, {3.748571428571428, 
       0.26816326530612244`}}]}, {
      Arrow[{{3.4285714285714284`, 0.3214285714285714}, {3.748571428571428, 
       0.39122448979591834`}}]}, {
      Arrow[{{3.4285714285714284`, 0.42857142857142855`}, {3.748571428571428, 
       0.506938775510204}}]}, {
      Arrow[{{3.4285714285714284`, 0.5357142857142857}, {3.748571428571428, 
       0.6153061224489796}}]}, {
      Arrow[{{3.4285714285714284`, 0.6428571428571428}, {3.748571428571428, 
       0.7163265306122448}}]}, {
      Arrow[{{3.4285714285714284`, 0.75}, {3.748571428571428, 0.81}}]}, {
      Arrow[{{3.4285714285714284`, 0.8571428571428571}, {3.748571428571428, 
       0.8963265306122449}}]}, {
      Arrow[{{3.4285714285714284`, 0.9642857142857142}, {3.748571428571428, 
       0.9753061224489795}}]}, {
      Arrow[{{3.4285714285714284`, 1.0714285714285714`}, {3.748571428571428, 
       1.046938775510204}}]}, {
      Arrow[{{3.4285714285714284`, 1.1785714285714286`}, {3.748571428571428, 
       1.1112244897959185`}}]}, {
      Arrow[{{3.4285714285714284`, 1.2857142857142856`}, {3.748571428571428, 
       1.1681632653061225`}}]}, {
      Arrow[{{3.4285714285714284`, 1.3928571428571428`}, {3.748571428571428, 
       1.2177551020408162`}}]}, {
      Arrow[{{3.4285714285714284`, 1.5}, {3.748571428571428, 1.26}}]}, {
      Arrow[{{3.7142857142857144`, 0.}, {4.034285714285715, 0.}}]}, {
      Arrow[{{3.7142857142857144`, 0.10714285714285714`}, {4.034285714285715, 
       0.1377551020408163}}]}, {
      Arrow[{{3.7142857142857144`, 0.21428571428571427`}, {4.034285714285715, 
       0.26816326530612244`}}]}, {
      Arrow[{{3.7142857142857144`, 0.3214285714285714}, {4.034285714285715, 
       0.39122448979591834`}}]}, {
      Arrow[{{3.7142857142857144`, 0.42857142857142855`}, {4.034285714285715, 
       0.506938775510204}}]}, {
      Arrow[{{3.7142857142857144`, 0.5357142857142857}, {4.034285714285715, 
       0.6153061224489796}}]}, {
      Arrow[{{3.7142857142857144`, 0.6428571428571428}, {4.034285714285715, 
       0.7163265306122448}}]}, {
      Arrow[{{3.7142857142857144`, 0.75}, {4.034285714285715, 0.81}}]}, {
      Arrow[{{3.7142857142857144`, 0.8571428571428571}, {4.034285714285715, 
       0.8963265306122449}}]}, {
      Arrow[{{3.7142857142857144`, 0.9642857142857142}, {4.034285714285715, 
       0.9753061224489795}}]}, {
      Arrow[{{3.7142857142857144`, 1.0714285714285714`}, {4.034285714285715, 
       1.046938775510204}}]}, {
      Arrow[{{3.7142857142857144`, 1.1785714285714286`}, {4.034285714285715, 
       1.1112244897959185`}}]}, {
      Arrow[{{3.7142857142857144`, 1.2857142857142856`}, {4.034285714285715, 
       1.1681632653061225`}}]}, {
      Arrow[{{3.7142857142857144`, 1.3928571428571428`}, {4.034285714285715, 
       1.2177551020408162`}}]}, {
      Arrow[{{3.7142857142857144`, 1.5}, {4.034285714285715, 1.26}}]}, {
      Arrow[{{4., 0.}, {4.32, 0.}}]}, {
      Arrow[{{4., 0.10714285714285714`}, {4.32, 0.1377551020408163}}]}, {
      Arrow[{{4., 0.21428571428571427`}, {4.32, 0.26816326530612244`}}]}, {
      Arrow[{{4., 0.3214285714285714}, {4.32, 0.39122448979591834`}}]}, {
      Arrow[{{4., 0.42857142857142855`}, {4.32, 0.506938775510204}}]}, {
      Arrow[{{4., 0.5357142857142857}, {4.32, 0.6153061224489796}}]}, {
      Arrow[{{4., 0.6428571428571428}, {4.32, 0.7163265306122448}}]}, {
      Arrow[{{4., 0.75}, {4.32, 0.81}}]}, {
      Arrow[{{4., 0.8571428571428571}, {4.32, 0.8963265306122449}}]}, {
      Arrow[{{4., 0.9642857142857142}, {4.32, 0.9753061224489795}}]}, {
      Arrow[{{4., 1.0714285714285714`}, {4.32, 1.046938775510204}}]}, {
      Arrow[{{4., 1.1785714285714286`}, {4.32, 1.1112244897959185`}}]}, {
      Arrow[{{4., 1.2857142857142856`}, {4.32, 1.1681632653061225`}}]}, {
      Arrow[{{4., 1.3928571428571428`}, {4.32, 1.2177551020408162`}}]}, {
      Arrow[{{4., 1.5}, {4.32, 1.26}}]}}}, {
   Axes -> True, AlignmentPoint -> Center, AspectRatio -> Automatic, Axes -> 
    False, AxesLabel -> None, AxesOrigin -> Automatic, AxesStyle -> {}, 
    Background -> None, BaselinePosition -> Automatic, BaseStyle -> {}, 
    ColorOutput -> Automatic, ContentSelectable -> Automatic, Epilog -> {}, 
    Frame -> False, FrameLabel -> None, FrameStyle -> {}, FrameTicks -> 
    Automatic, FrameTicksStyle -> {}, GridLines -> None, GridLinesStyle -> {},
     ImageMargins -> 0., ImagePadding -> All, ImageSize -> Automatic, 
    LabelStyle -> {}, Method -> Automatic, PlotLabel -> None, PlotRange -> 
    All, PlotRangeClipping -> False, PlotRangePadding -> Automatic, 
    PlotRegion -> Automatic, PreserveImageOptions -> Automatic, Prolog -> {}, 
    RotateLabel -> True, Ticks -> Automatic, TicksStyle -> {}, 
    DisplayFunction :> $DisplayFunction, FormatType :> TraditionalForm, 
    AlignmentPoint -> Center, AspectRatio -> Automatic, Axes -> False, 
    AxesLabel -> None, AxesOrigin -> Automatic, AxesStyle -> {}, Background -> 
    None, BaselinePosition -> Automatic, BaseStyle -> {}, ColorOutput -> 
    Automatic, ContentSelectable -> Automatic, Epilog -> {}, Frame -> False, 
    FrameLabel -> None, FrameStyle -> {}, FrameTicks -> Automatic, 
    FrameTicksStyle -> {}, GridLines -> None, GridLinesStyle -> {}, 
    ImageMargins -> 0., ImagePadding -> All, ImageSize -> Automatic, 
    LabelStyle -> {}, Method -> Automatic, PlotLabel -> None, PlotRange -> 
    All, PlotRangeClipping -> False, PlotRangePadding -> Automatic, 
    PlotRegion -> Automatic, PreserveImageOptions -> Automatic, Prolog -> {}, 
    RotateLabel -> True, Ticks -> Automatic, TicksStyle -> {}, 
    DisplayFunction :> $DisplayFunction, FormatType :> 
    TraditionalForm}], $CellContext`a$$}, 
  TagBox[
   DynamicBox[ToBoxes[
     Show[
      Graphics[{
        Opacity[0.4], 
        Part[$CellContext`pfld$$, 1]}], 
      Graphics[
       Thickness[0.01]], 
      Map[Plot[
        Evaluate[
         ReplaceAll[
          $CellContext`x[$CellContext`t], 
          
          NDSolve[{
           Derivative[
             1][$CellContext`x][$CellContext`t] == (
              1 - $CellContext`x[$CellContext`t]) \
$CellContext`x[$CellContext`t], $CellContext`x[
              Part[#, 1]] == Part[#, 2]}, 
           $CellContext`x[$CellContext`t], {$CellContext`t, 
            Part[#, 1], 4}]]], {$CellContext`t, 
         Part[#, 1], 4}, 
        PlotRange -> {{0, 4}, {0., 1.5}}]& , $CellContext`q$$], Frame -> True,
       PlotLabel -> Last[$CellContext`q$$], AspectRatio -> 1/GoldenRatio], 
     StandardForm],
    ImageSizeCache->{540., {178., 187.}}],
   EventHandlerTag[{"MouseDown" :> AppendTo[$CellContext`q$$, 
       MapThread[Max, {{0, 0}, 
         MousePosition["Graphics"]}, 1]], PassEventsDown -> Automatic, 
     PassEventsUp -> True}]],
  DynamicModuleValues:>{}]], "Output",
 CellChangeTimes->{
  3.4050636199666014`*^9, 3.405076362493656*^9, {3.405076622677782*^9, 
   3.4050766352458544`*^9}, 3.405076681151864*^9, 3.4050769867913523`*^9, {
   3.4050778883377123`*^9, 3.4050779385899715`*^9}, {3.405079708935603*^9, 
   3.4050797458987536`*^9}, 3.405079802560229*^9, {3.405192151328936*^9, 
   3.4051921543232417`*^9}, 3.4051921869902143`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Chemical reaction of second order: 
x'[t] \[Equal] (2-x[t])(1 - x[t])\
\>", "Section",
 CellChangeTimes->{{3.4050634463469486`*^9, 3.40506346519405*^9}, {
  3.405063669417709*^9, 3.4050636964265456`*^9}, {3.405076250262275*^9, 
  3.405076260647208*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"VisualODE", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "'"}], "[", "t", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"2", "-", 
       RowBox[{"x", "[", "t", "]"}]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"x", "[", "t", "]"}]}], ")"}]}]}], ",", "x", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4050611642701263`*^9, 3.4050611873032465`*^9}, {
  3.405061589196498*^9, 3.4050615922408752`*^9}, {3.405061889147806*^9, 
  3.405061890389592*^9}, {3.4050621683793216`*^9, 3.4050621730360174`*^9}, {
  3.4050637038071585`*^9, 3.405063716655634*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`p$23285$$ = {0, 1}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`p$23285$$], {0, 1}}, Automatic}}, Typeset`size$$ = {
    540., {176., 186.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`p$23285$$ = {0, 1}}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[{
          Opacity[0.4], 
          Part[$CellContext`pfld$23285, 1]}], 
        Plot[
         Evaluate[
          ReplaceAll[
           $CellContext`x[$CellContext`t], 
           
           NDSolve[{
            Derivative[
              1][$CellContext`x][$CellContext`t] == (
               1 - $CellContext`x[$CellContext`t]) (
               2 - $CellContext`x[$CellContext`t]), $CellContext`x[
               Part[$CellContext`p$23285$$, 1]] == 
             Part[$CellContext`p$23285$$, 2]}, 
            $CellContext`x[$CellContext`t], {$CellContext`t, 
             Part[$CellContext`p$23285$$, 1], 4}]]], {$CellContext`t, 
          Part[$CellContext`p$23285$$, 1], 4}, PlotStyle -> {
           Thickness[0.01]}], PlotRange -> {{0, 4}, {0., 2}}, Frame -> True, 
        PlotLabel -> ControlActive[$CellContext`p$23285$$, ""], AspectRatio -> 
        1/GoldenRatio], 
      "Specifications" :> {{{$CellContext`p$23285$$, {0, 1}}, Automatic, 
         ControlType -> Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{589., {209.5, 216.5}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.4050636154901648`*^9, 3.4050637225941725`*^9, 
  3.4050763366464896`*^9, 3.40507670608772*^9, 3.405079753990389*^9, 
  3.405079789150947*^9, 3.405079824872312*^9, 3.4051921760444756`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ClickVisualODE", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "'"}], "[", "t", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"2", "-", 
       RowBox[{"x", "[", "t", "]"}]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"x", "[", "t", "]"}]}], ")"}]}]}], ",", "x", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4050611642701263`*^9, 3.4050611873032465`*^9}, {
  3.405061589196498*^9, 3.4050615922408752`*^9}, {3.405061889147806*^9, 
  3.405061890389592*^9}, {3.4050621683793216`*^9, 3.4050621730360174`*^9}, {
  3.4050636115344768`*^9, 3.405063612585989*^9}, {3.4050637393783073`*^9, 
  3.4050637657862797`*^9}}],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`q$$ = {{0, 0}}, $CellContext`fld$$ = {
  1, (1 - $CellContext`x) (2 - $CellContext`x)}, $CellContext`pfld$$ = 
  Graphics[{
    Thickness[Small], 
    Arrowheads[0.02], {{
      Arrow[{{0., 0.}, {0.17888543819998318`, 0.35777087639996635`}}]}, {
      Arrow[{{0., 0.14285714285714285`}, {0.17888543819998318`, 
       0.4276135546856875}}]}, {
      Arrow[{{0., 0.2857142857142857}, {0.17888543819998318`, 
       0.5047576794285509}}]}, {
      Arrow[{{0., 0.42857142857142855`}, {0.17888543819998318`, 
       0.5892032506285563}}]}, {
      Arrow[{{0., 0.5714285714285714}, {0.17888543819998318`, 
       0.6809502682857039}}]}, {
      Arrow[{{0., 0.7142857142857142}, {0.17888543819998318`, 
       0.7799987323999937}}]}, {
      Arrow[{{0., 0.8571428571428571}, {0.17888543819998318`, 
       0.8863486429714258}}]}, {
      Arrow[{{0., 1.}, {0.17888543819998318`, 1.}}]}, {
      Arrow[{{0., 1.1428571428571428`}, {0.17888543819998318`, 
       1.1209528034857164`}}]}, {
      Arrow[{{0., 1.2857142857142856`}, {0.17888543819998318`, 
       1.2492070534285746`}}]}, {
      Arrow[{{0., 1.4285714285714284`}, {0.17888543819998318`, 
       1.3847627498285753`}}]}, {
      Arrow[{{0., 1.5714285714285714`}, {0.17888543819998318`, 
       1.5276198926857183`}}]}, {
      Arrow[{{0., 1.7142857142857142`}, {0.17888543819998318`, 
       1.6777784820000032`}}]}, {
      Arrow[{{0., 1.857142857142857}, {0.17888543819998318`, 
       1.8352385177714305`}}]}, {
      Arrow[{{0., 2.}, {0.17888543819998318`, 2.}}]}, {
      Arrow[{{0.2857142857142857, 0.}, {0.46459972391426885`, 
       0.35777087639996635`}}]}, {
      Arrow[{{0.2857142857142857, 0.14285714285714285`}, {
       0.46459972391426885`, 0.4276135546856875}}]}, {
      Arrow[{{0.2857142857142857, 0.2857142857142857}, {0.46459972391426885`, 
       0.5047576794285509}}]}, {
      Arrow[{{0.2857142857142857, 0.42857142857142855`}, {
       0.46459972391426885`, 0.5892032506285563}}]}, {
      Arrow[{{0.2857142857142857, 0.5714285714285714}, {0.46459972391426885`, 
       0.6809502682857039}}]}, {
      Arrow[{{0.2857142857142857, 0.7142857142857142}, {0.46459972391426885`, 
       0.7799987323999937}}]}, {
      Arrow[{{0.2857142857142857, 0.8571428571428571}, {0.46459972391426885`, 
       0.8863486429714258}}]}, {
      Arrow[{{0.2857142857142857, 1.}, {0.46459972391426885`, 1.}}]}, {
      Arrow[{{0.2857142857142857, 1.1428571428571428`}, {0.46459972391426885`,
        1.1209528034857164`}}]}, {
      Arrow[{{0.2857142857142857, 1.2857142857142856`}, {0.46459972391426885`,
        1.2492070534285746`}}]}, {
      Arrow[{{0.2857142857142857, 1.4285714285714284`}, {0.46459972391426885`,
        1.3847627498285753`}}]}, {
      Arrow[{{0.2857142857142857, 1.5714285714285714`}, {0.46459972391426885`,
        1.5276198926857183`}}]}, {
      Arrow[{{0.2857142857142857, 1.7142857142857142`}, {0.46459972391426885`,
        1.6777784820000032`}}]}, {
      Arrow[{{0.2857142857142857, 1.857142857142857}, {0.46459972391426885`, 
       1.8352385177714305`}}]}, {
      Arrow[{{0.2857142857142857, 2.}, {0.46459972391426885`, 2.}}]}, {
      Arrow[{{0.5714285714285714, 0.}, {0.7503140096285545, 
       0.35777087639996635`}}]}, {
      Arrow[{{0.5714285714285714, 0.14285714285714285`}, {0.7503140096285545, 
       0.4276135546856875}}]}, {
      Arrow[{{0.5714285714285714, 0.2857142857142857}, {0.7503140096285545, 
       0.5047576794285509}}]}, {
      Arrow[{{0.5714285714285714, 0.42857142857142855`}, {0.7503140096285545, 
       0.5892032506285563}}]}, {
      Arrow[{{0.5714285714285714, 0.5714285714285714}, {0.7503140096285545, 
       0.6809502682857039}}]}, {
      Arrow[{{0.5714285714285714, 0.7142857142857142}, {0.7503140096285545, 
       0.7799987323999937}}]}, {
      Arrow[{{0.5714285714285714, 0.8571428571428571}, {0.7503140096285545, 
       0.8863486429714258}}]}, {
      Arrow[{{0.5714285714285714, 1.}, {0.7503140096285545, 1.}}]}, {
      Arrow[{{0.5714285714285714, 1.1428571428571428`}, {0.7503140096285545, 
       1.1209528034857164`}}]}, {
      Arrow[{{0.5714285714285714, 1.2857142857142856`}, {0.7503140096285545, 
       1.2492070534285746`}}]}, {
      Arrow[{{0.5714285714285714, 1.4285714285714284`}, {0.7503140096285545, 
       1.3847627498285753`}}]}, {
      Arrow[{{0.5714285714285714, 1.5714285714285714`}, {0.7503140096285545, 
       1.5276198926857183`}}]}, {
      Arrow[{{0.5714285714285714, 1.7142857142857142`}, {0.7503140096285545, 
       1.6777784820000032`}}]}, {
      Arrow[{{0.5714285714285714, 1.857142857142857}, {0.7503140096285545, 
       1.8352385177714305`}}]}, {
      Arrow[{{0.5714285714285714, 2.}, {0.7503140096285545, 2.}}]}, {
      Arrow[{{0.8571428571428571, 0.}, {1.0360282953428404`, 
       0.35777087639996635`}}]}, {
      Arrow[{{0.8571428571428571, 0.14285714285714285`}, {1.0360282953428404`,
        0.4276135546856875}}]}, {
      Arrow[{{0.8571428571428571, 0.2857142857142857}, {1.0360282953428404`, 
       0.5047576794285509}}]}, {
      Arrow[{{0.8571428571428571, 0.42857142857142855`}, {1.0360282953428404`,
        0.5892032506285563}}]}, {
      Arrow[{{0.8571428571428571, 0.5714285714285714}, {1.0360282953428404`, 
       0.6809502682857039}}]}, {
      Arrow[{{0.8571428571428571, 0.7142857142857142}, {1.0360282953428404`, 
       0.7799987323999937}}]}, {
      Arrow[{{0.8571428571428571, 0.8571428571428571}, {1.0360282953428404`, 
       0.8863486429714258}}]}, {
      Arrow[{{0.8571428571428571, 1.}, {1.0360282953428404`, 1.}}]}, {
      Arrow[{{0.8571428571428571, 1.1428571428571428`}, {1.0360282953428404`, 
       1.1209528034857164`}}]}, {
      Arrow[{{0.8571428571428571, 1.2857142857142856`}, {1.0360282953428404`, 
       1.2492070534285746`}}]}, {
      Arrow[{{0.8571428571428571, 1.4285714285714284`}, {1.0360282953428404`, 
       1.3847627498285753`}}]}, {
      Arrow[{{0.8571428571428571, 1.5714285714285714`}, {1.0360282953428404`, 
       1.5276198926857183`}}]}, {
      Arrow[{{0.8571428571428571, 1.7142857142857142`}, {1.0360282953428404`, 
       1.6777784820000032`}}]}, {
      Arrow[{{0.8571428571428571, 1.857142857142857}, {1.0360282953428404`, 
       1.8352385177714305`}}]}, {
      Arrow[{{0.8571428571428571, 2.}, {1.0360282953428404`, 2.}}]}, {
      Arrow[{{1.1428571428571428`, 0.}, {1.321742581057126, 
       0.35777087639996635`}}]}, {
      Arrow[{{1.1428571428571428`, 0.14285714285714285`}, {1.321742581057126, 
       0.4276135546856875}}]}, {
      Arrow[{{1.1428571428571428`, 0.2857142857142857}, {1.321742581057126, 
       0.5047576794285509}}]}, {
      Arrow[{{1.1428571428571428`, 0.42857142857142855`}, {1.321742581057126, 
       0.5892032506285563}}]}, {
      Arrow[{{1.1428571428571428`, 0.5714285714285714}, {1.321742581057126, 
       0.6809502682857039}}]}, {
      Arrow[{{1.1428571428571428`, 0.7142857142857142}, {1.321742581057126, 
       0.7799987323999937}}]}, {
      Arrow[{{1.1428571428571428`, 0.8571428571428571}, {1.321742581057126, 
       0.8863486429714258}}]}, {
      Arrow[{{1.1428571428571428`, 1.}, {1.321742581057126, 1.}}]}, {
      Arrow[{{1.1428571428571428`, 1.1428571428571428`}, {1.321742581057126, 
       1.1209528034857164`}}]}, {
      Arrow[{{1.1428571428571428`, 1.2857142857142856`}, {1.321742581057126, 
       1.2492070534285746`}}]}, {
      Arrow[{{1.1428571428571428`, 1.4285714285714284`}, {1.321742581057126, 
       1.3847627498285753`}}]}, {
      Arrow[{{1.1428571428571428`, 1.5714285714285714`}, {1.321742581057126, 
       1.5276198926857183`}}]}, {
      Arrow[{{1.1428571428571428`, 1.7142857142857142`}, {1.321742581057126, 
       1.6777784820000032`}}]}, {
      Arrow[{{1.1428571428571428`, 1.857142857142857}, {1.321742581057126, 
       1.8352385177714305`}}]}, {
      Arrow[{{1.1428571428571428`, 2.}, {1.321742581057126, 2.}}]}, {
      Arrow[{{1.4285714285714286`, 0.}, {1.6074568667714118`, 
       0.35777087639996635`}}]}, {
      Arrow[{{1.4285714285714286`, 0.14285714285714285`}, {
       1.6074568667714118`, 0.4276135546856875}}]}, {
      Arrow[{{1.4285714285714286`, 0.2857142857142857}, {1.6074568667714118`, 
       0.5047576794285509}}]}, {
      Arrow[{{1.4285714285714286`, 0.42857142857142855`}, {
       1.6074568667714118`, 0.5892032506285563}}]}, {
      Arrow[{{1.4285714285714286`, 0.5714285714285714}, {1.6074568667714118`, 
       0.6809502682857039}}]}, {
      Arrow[{{1.4285714285714286`, 0.7142857142857142}, {1.6074568667714118`, 
       0.7799987323999937}}]}, {
      Arrow[{{1.4285714285714286`, 0.8571428571428571}, {1.6074568667714118`, 
       0.8863486429714258}}]}, {
      Arrow[{{1.4285714285714286`, 1.}, {1.6074568667714118`, 1.}}]}, {
      Arrow[{{1.4285714285714286`, 1.1428571428571428`}, {1.6074568667714118`,
        1.1209528034857164`}}]}, {
      Arrow[{{1.4285714285714286`, 1.2857142857142856`}, {1.6074568667714118`,
        1.2492070534285746`}}]}, {
      Arrow[{{1.4285714285714286`, 1.4285714285714284`}, {1.6074568667714118`,
        1.3847627498285753`}}]}, {
      Arrow[{{1.4285714285714286`, 1.5714285714285714`}, {1.6074568667714118`,
        1.5276198926857183`}}]}, {
      Arrow[{{1.4285714285714286`, 1.7142857142857142`}, {1.6074568667714118`,
        1.6777784820000032`}}]}, {
      Arrow[{{1.4285714285714286`, 1.857142857142857}, {1.6074568667714118`, 
       1.8352385177714305`}}]}, {
      Arrow[{{1.4285714285714286`, 2.}, {1.6074568667714118`, 2.}}]}, {
      Arrow[{{1.7142857142857142`, 0.}, {1.8931711524856973`, 
       0.35777087639996635`}}]}, {
      Arrow[{{1.7142857142857142`, 0.14285714285714285`}, {
       1.8931711524856973`, 0.4276135546856875}}]}, {
      Arrow[{{1.7142857142857142`, 0.2857142857142857}, {1.8931711524856973`, 
       0.5047576794285509}}]}, {
      Arrow[{{1.7142857142857142`, 0.42857142857142855`}, {
       1.8931711524856973`, 0.5892032506285563}}]}, {
      Arrow[{{1.7142857142857142`, 0.5714285714285714}, {1.8931711524856973`, 
       0.6809502682857039}}]}, {
      Arrow[{{1.7142857142857142`, 0.7142857142857142}, {1.8931711524856973`, 
       0.7799987323999937}}]}, {
      Arrow[{{1.7142857142857142`, 0.8571428571428571}, {1.8931711524856973`, 
       0.8863486429714258}}]}, {
      Arrow[{{1.7142857142857142`, 1.}, {1.8931711524856973`, 1.}}]}, {
      Arrow[{{1.7142857142857142`, 1.1428571428571428`}, {1.8931711524856973`,
        1.1209528034857164`}}]}, {
      Arrow[{{1.7142857142857142`, 1.2857142857142856`}, {1.8931711524856973`,
        1.2492070534285746`}}]}, {
      Arrow[{{1.7142857142857142`, 1.4285714285714284`}, {1.8931711524856973`,
        1.3847627498285753`}}]}, {
      Arrow[{{1.7142857142857142`, 1.5714285714285714`}, {1.8931711524856973`,
        1.5276198926857183`}}]}, {
      Arrow[{{1.7142857142857142`, 1.7142857142857142`}, {1.8931711524856973`,
        1.6777784820000032`}}]}, {
      Arrow[{{1.7142857142857142`, 1.857142857142857}, {1.8931711524856973`, 
       1.8352385177714305`}}]}, {
      Arrow[{{1.7142857142857142`, 2.}, {1.8931711524856973`, 2.}}]}, {
      Arrow[{{2., 0.}, {2.178885438199983, 0.35777087639996635`}}]}, {
      Arrow[{{2., 0.14285714285714285`}, {2.178885438199983, 
       0.4276135546856875}}]}, {
      Arrow[{{2., 0.2857142857142857}, {2.178885438199983, 
       0.5047576794285509}}]}, {
      Arrow[{{2., 0.42857142857142855`}, {2.178885438199983, 
       0.5892032506285563}}]}, {
      Arrow[{{2., 0.5714285714285714}, {2.178885438199983, 
       0.6809502682857039}}]}, {
      Arrow[{{2., 0.7142857142857142}, {2.178885438199983, 
       0.7799987323999937}}]}, {
      Arrow[{{2., 0.8571428571428571}, {2.178885438199983, 
       0.8863486429714258}}]}, {
      Arrow[{{2., 1.}, {2.178885438199983, 1.}}]}, {
      Arrow[{{2., 1.1428571428571428`}, {2.178885438199983, 
       1.1209528034857164`}}]}, {
      Arrow[{{2., 1.2857142857142856`}, {2.178885438199983, 
       1.2492070534285746`}}]}, {
      Arrow[{{2., 1.4285714285714284`}, {2.178885438199983, 
       1.3847627498285753`}}]}, {
      Arrow[{{2., 1.5714285714285714`}, {2.178885438199983, 
       1.5276198926857183`}}]}, {
      Arrow[{{2., 1.7142857142857142`}, {2.178885438199983, 
       1.6777784820000032`}}]}, {
      Arrow[{{2., 1.857142857142857}, {2.178885438199983, 
       1.8352385177714305`}}]}, {
      Arrow[{{2., 2.}, {2.178885438199983, 2.}}]}, {
      Arrow[{{2.2857142857142856`, 0.}, {2.4645997239142687`, 
       0.35777087639996635`}}]}, {
      Arrow[{{2.2857142857142856`, 0.14285714285714285`}, {
       2.4645997239142687`, 0.4276135546856875}}]}, {
      Arrow[{{2.2857142857142856`, 0.2857142857142857}, {2.4645997239142687`, 
       0.5047576794285509}}]}, {
      Arrow[{{2.2857142857142856`, 0.42857142857142855`}, {
       2.4645997239142687`, 0.5892032506285563}}]}, {
      Arrow[{{2.2857142857142856`, 0.5714285714285714}, {2.4645997239142687`, 
       0.6809502682857039}}]}, {
      Arrow[{{2.2857142857142856`, 0.7142857142857142}, {2.4645997239142687`, 
       0.7799987323999937}}]}, {
      Arrow[{{2.2857142857142856`, 0.8571428571428571}, {2.4645997239142687`, 
       0.8863486429714258}}]}, {
      Arrow[{{2.2857142857142856`, 1.}, {2.4645997239142687`, 1.}}]}, {
      Arrow[{{2.2857142857142856`, 1.1428571428571428`}, {2.4645997239142687`,
        1.1209528034857164`}}]}, {
      Arrow[{{2.2857142857142856`, 1.2857142857142856`}, {2.4645997239142687`,
        1.2492070534285746`}}]}, {
      Arrow[{{2.2857142857142856`, 1.4285714285714284`}, {2.4645997239142687`,
        1.3847627498285753`}}]}, {
      Arrow[{{2.2857142857142856`, 1.5714285714285714`}, {2.4645997239142687`,
        1.5276198926857183`}}]}, {
      Arrow[{{2.2857142857142856`, 1.7142857142857142`}, {2.4645997239142687`,
        1.6777784820000032`}}]}, {
      Arrow[{{2.2857142857142856`, 1.857142857142857}, {2.4645997239142687`, 
       1.8352385177714305`}}]}, {
      Arrow[{{2.2857142857142856`, 2.}, {2.4645997239142687`, 2.}}]}, {
      Arrow[{{2.5714285714285716`, 0.}, {2.7503140096285548`, 
       0.35777087639996635`}}]}, {
      Arrow[{{2.5714285714285716`, 0.14285714285714285`}, {
       2.7503140096285548`, 0.4276135546856875}}]}, {
      Arrow[{{2.5714285714285716`, 0.2857142857142857}, {2.7503140096285548`, 
       0.5047576794285509}}]}, {
      Arrow[{{2.5714285714285716`, 0.42857142857142855`}, {
       2.7503140096285548`, 0.5892032506285563}}]}, {
      Arrow[{{2.5714285714285716`, 0.5714285714285714}, {2.7503140096285548`, 
       0.6809502682857039}}]}, {
      Arrow[{{2.5714285714285716`, 0.7142857142857142}, {2.7503140096285548`, 
       0.7799987323999937}}]}, {
      Arrow[{{2.5714285714285716`, 0.8571428571428571}, {2.7503140096285548`, 
       0.8863486429714258}}]}, {
      Arrow[{{2.5714285714285716`, 1.}, {2.7503140096285548`, 1.}}]}, {
      Arrow[{{2.5714285714285716`, 1.1428571428571428`}, {2.7503140096285548`,
        1.1209528034857164`}}]}, {
      Arrow[{{2.5714285714285716`, 1.2857142857142856`}, {2.7503140096285548`,
        1.2492070534285746`}}]}, {
      Arrow[{{2.5714285714285716`, 1.4285714285714284`}, {2.7503140096285548`,
        1.3847627498285753`}}]}, {
      Arrow[{{2.5714285714285716`, 1.5714285714285714`}, {2.7503140096285548`,
        1.5276198926857183`}}]}, {
      Arrow[{{2.5714285714285716`, 1.7142857142857142`}, {2.7503140096285548`,
        1.6777784820000032`}}]}, {
      Arrow[{{2.5714285714285716`, 1.857142857142857}, {2.7503140096285548`, 
       1.8352385177714305`}}]}, {
      Arrow[{{2.5714285714285716`, 2.}, {2.7503140096285548`, 2.}}]}, {
      Arrow[{{2.857142857142857, 0.}, {3.0360282953428404`, 
       0.35777087639996635`}}]}, {
      Arrow[{{2.857142857142857, 0.14285714285714285`}, {3.0360282953428404`, 
       0.4276135546856875}}]}, {
      Arrow[{{2.857142857142857, 0.2857142857142857}, {3.0360282953428404`, 
       0.5047576794285509}}]}, {
      Arrow[{{2.857142857142857, 0.42857142857142855`}, {3.0360282953428404`, 
       0.5892032506285563}}]}, {
      Arrow[{{2.857142857142857, 0.5714285714285714}, {3.0360282953428404`, 
       0.6809502682857039}}]}, {
      Arrow[{{2.857142857142857, 0.7142857142857142}, {3.0360282953428404`, 
       0.7799987323999937}}]}, {
      Arrow[{{2.857142857142857, 0.8571428571428571}, {3.0360282953428404`, 
       0.8863486429714258}}]}, {
      Arrow[{{2.857142857142857, 1.}, {3.0360282953428404`, 1.}}]}, {
      Arrow[{{2.857142857142857, 1.1428571428571428`}, {3.0360282953428404`, 
       1.1209528034857164`}}]}, {
      Arrow[{{2.857142857142857, 1.2857142857142856`}, {3.0360282953428404`, 
       1.2492070534285746`}}]}, {
      Arrow[{{2.857142857142857, 1.4285714285714284`}, {3.0360282953428404`, 
       1.3847627498285753`}}]}, {
      Arrow[{{2.857142857142857, 1.5714285714285714`}, {3.0360282953428404`, 
       1.5276198926857183`}}]}, {
      Arrow[{{2.857142857142857, 1.7142857142857142`}, {3.0360282953428404`, 
       1.6777784820000032`}}]}, {
      Arrow[{{2.857142857142857, 1.857142857142857}, {3.0360282953428404`, 
       1.8352385177714305`}}]}, {
      Arrow[{{2.857142857142857, 2.}, {3.0360282953428404`, 2.}}]}, {
      Arrow[{{3.142857142857143, 0.}, {3.321742581057126, 
       0.35777087639996635`}}]}, {
      Arrow[{{3.142857142857143, 0.14285714285714285`}, {3.321742581057126, 
       0.4276135546856875}}]}, {
      Arrow[{{3.142857142857143, 0.2857142857142857}, {3.321742581057126, 
       0.5047576794285509}}]}, {
      Arrow[{{3.142857142857143, 0.42857142857142855`}, {3.321742581057126, 
       0.5892032506285563}}]}, {
      Arrow[{{3.142857142857143, 0.5714285714285714}, {3.321742581057126, 
       0.6809502682857039}}]}, {
      Arrow[{{3.142857142857143, 0.7142857142857142}, {3.321742581057126, 
       0.7799987323999937}}]}, {
      Arrow[{{3.142857142857143, 0.8571428571428571}, {3.321742581057126, 
       0.8863486429714258}}]}, {
      Arrow[{{3.142857142857143, 1.}, {3.321742581057126, 1.}}]}, {
      Arrow[{{3.142857142857143, 1.1428571428571428`}, {3.321742581057126, 
       1.1209528034857164`}}]}, {
      Arrow[{{3.142857142857143, 1.2857142857142856`}, {3.321742581057126, 
       1.2492070534285746`}}]}, {
      Arrow[{{3.142857142857143, 1.4285714285714284`}, {3.321742581057126, 
       1.3847627498285753`}}]}, {
      Arrow[{{3.142857142857143, 1.5714285714285714`}, {3.321742581057126, 
       1.5276198926857183`}}]}, {
      Arrow[{{3.142857142857143, 1.7142857142857142`}, {3.321742581057126, 
       1.6777784820000032`}}]}, {
      Arrow[{{3.142857142857143, 1.857142857142857}, {3.321742581057126, 
       1.8352385177714305`}}]}, {
      Arrow[{{3.142857142857143, 2.}, {3.321742581057126, 2.}}]}, {
      Arrow[{{3.4285714285714284`, 0.}, {3.6074568667714115`, 
       0.35777087639996635`}}]}, {
      Arrow[{{3.4285714285714284`, 0.14285714285714285`}, {
       3.6074568667714115`, 0.4276135546856875}}]}, {
      Arrow[{{3.4285714285714284`, 0.2857142857142857}, {3.6074568667714115`, 
       0.5047576794285509}}]}, {
      Arrow[{{3.4285714285714284`, 0.42857142857142855`}, {
       3.6074568667714115`, 0.5892032506285563}}]}, {
      Arrow[{{3.4285714285714284`, 0.5714285714285714}, {3.6074568667714115`, 
       0.6809502682857039}}]}, {
      Arrow[{{3.4285714285714284`, 0.7142857142857142}, {3.6074568667714115`, 
       0.7799987323999937}}]}, {
      Arrow[{{3.4285714285714284`, 0.8571428571428571}, {3.6074568667714115`, 
       0.8863486429714258}}]}, {
      Arrow[{{3.4285714285714284`, 1.}, {3.6074568667714115`, 1.}}]}, {
      Arrow[{{3.4285714285714284`, 1.1428571428571428`}, {3.6074568667714115`,
        1.1209528034857164`}}]}, {
      Arrow[{{3.4285714285714284`, 1.2857142857142856`}, {3.6074568667714115`,
        1.2492070534285746`}}]}, {
      Arrow[{{3.4285714285714284`, 1.4285714285714284`}, {3.6074568667714115`,
        1.3847627498285753`}}]}, {
      Arrow[{{3.4285714285714284`, 1.5714285714285714`}, {3.6074568667714115`,
        1.5276198926857183`}}]}, {
      Arrow[{{3.4285714285714284`, 1.7142857142857142`}, {3.6074568667714115`,
        1.6777784820000032`}}]}, {
      Arrow[{{3.4285714285714284`, 1.857142857142857}, {3.6074568667714115`, 
       1.8352385177714305`}}]}, {
      Arrow[{{3.4285714285714284`, 2.}, {3.6074568667714115`, 2.}}]}, {
      Arrow[{{3.7142857142857144`, 0.}, {3.8931711524856976`, 
       0.35777087639996635`}}]}, {
      Arrow[{{3.7142857142857144`, 0.14285714285714285`}, {
       3.8931711524856976`, 0.4276135546856875}}]}, {
      Arrow[{{3.7142857142857144`, 0.2857142857142857}, {3.8931711524856976`, 
       0.5047576794285509}}]}, {
      Arrow[{{3.7142857142857144`, 0.42857142857142855`}, {
       3.8931711524856976`, 0.5892032506285563}}]}, {
      Arrow[{{3.7142857142857144`, 0.5714285714285714}, {3.8931711524856976`, 
       0.6809502682857039}}]}, {
      Arrow[{{3.7142857142857144`, 0.7142857142857142}, {3.8931711524856976`, 
       0.7799987323999937}}]}, {
      Arrow[{{3.7142857142857144`, 0.8571428571428571}, {3.8931711524856976`, 
       0.8863486429714258}}]}, {
      Arrow[{{3.7142857142857144`, 1.}, {3.8931711524856976`, 1.}}]}, {
      Arrow[{{3.7142857142857144`, 1.1428571428571428`}, {3.8931711524856976`,
        1.1209528034857164`}}]}, {
      Arrow[{{3.7142857142857144`, 1.2857142857142856`}, {3.8931711524856976`,
        1.2492070534285746`}}]}, {
      Arrow[{{3.7142857142857144`, 1.4285714285714284`}, {3.8931711524856976`,
        1.3847627498285753`}}]}, {
      Arrow[{{3.7142857142857144`, 1.5714285714285714`}, {3.8931711524856976`,
        1.5276198926857183`}}]}, {
      Arrow[{{3.7142857142857144`, 1.7142857142857142`}, {3.8931711524856976`,
        1.6777784820000032`}}]}, {
      Arrow[{{3.7142857142857144`, 1.857142857142857}, {3.8931711524856976`, 
       1.8352385177714305`}}]}, {
      Arrow[{{3.7142857142857144`, 2.}, {3.8931711524856976`, 2.}}]}, {
      Arrow[{{4., 0.}, {4.178885438199983, 0.35777087639996635`}}]}, {
      Arrow[{{4., 0.14285714285714285`}, {4.178885438199983, 
       0.4276135546856875}}]}, {
      Arrow[{{4., 0.2857142857142857}, {4.178885438199983, 
       0.5047576794285509}}]}, {
      Arrow[{{4., 0.42857142857142855`}, {4.178885438199983, 
       0.5892032506285563}}]}, {
      Arrow[{{4., 0.5714285714285714}, {4.178885438199983, 
       0.6809502682857039}}]}, {
      Arrow[{{4., 0.7142857142857142}, {4.178885438199983, 
       0.7799987323999937}}]}, {
      Arrow[{{4., 0.8571428571428571}, {4.178885438199983, 
       0.8863486429714258}}]}, {
      Arrow[{{4., 1.}, {4.178885438199983, 1.}}]}, {
      Arrow[{{4., 1.1428571428571428`}, {4.178885438199983, 
       1.1209528034857164`}}]}, {
      Arrow[{{4., 1.2857142857142856`}, {4.178885438199983, 
       1.2492070534285746`}}]}, {
      Arrow[{{4., 1.4285714285714284`}, {4.178885438199983, 
       1.3847627498285753`}}]}, {
      Arrow[{{4., 1.5714285714285714`}, {4.178885438199983, 
       1.5276198926857183`}}]}, {
      Arrow[{{4., 1.7142857142857142`}, {4.178885438199983, 
       1.6777784820000032`}}]}, {
      Arrow[{{4., 1.857142857142857}, {4.178885438199983, 
       1.8352385177714305`}}]}, {
      Arrow[{{4., 2.}, {4.178885438199983, 2.}}]}}}, {
   Axes -> True, AlignmentPoint -> Center, AspectRatio -> Automatic, Axes -> 
    False, AxesLabel -> None, AxesOrigin -> Automatic, AxesStyle -> {}, 
    Background -> None, BaselinePosition -> Automatic, BaseStyle -> {}, 
    ColorOutput -> Automatic, ContentSelectable -> Automatic, Epilog -> {}, 
    Frame -> False, FrameLabel -> None, FrameStyle -> {}, FrameTicks -> 
    Automatic, FrameTicksStyle -> {}, GridLines -> None, GridLinesStyle -> {},
     ImageMargins -> 0., ImagePadding -> All, ImageSize -> Automatic, 
    LabelStyle -> {}, Method -> Automatic, PlotLabel -> None, PlotRange -> 
    All, PlotRangeClipping -> False, PlotRangePadding -> Automatic, 
    PlotRegion -> Automatic, PreserveImageOptions -> Automatic, Prolog -> {}, 
    RotateLabel -> True, Ticks -> Automatic, TicksStyle -> {}, 
    DisplayFunction :> $DisplayFunction, FormatType :> TraditionalForm, 
    AlignmentPoint -> Center, AspectRatio -> Automatic, Axes -> False, 
    AxesLabel -> None, AxesOrigin -> Automatic, AxesStyle -> {}, Background -> 
    None, BaselinePosition -> Automatic, BaseStyle -> {}, ColorOutput -> 
    Automatic, ContentSelectable -> Automatic, Epilog -> {}, Frame -> False, 
    FrameLabel -> None, FrameStyle -> {}, FrameTicks -> Automatic, 
    FrameTicksStyle -> {}, GridLines -> None, GridLinesStyle -> {}, 
    ImageMargins -> 0., ImagePadding -> All, ImageSize -> Automatic, 
    LabelStyle -> {}, Method -> Automatic, PlotLabel -> None, PlotRange -> 
    All, PlotRangeClipping -> False, PlotRangePadding -> Automatic, 
    PlotRegion -> Automatic, PreserveImageOptions -> Automatic, Prolog -> {}, 
    RotateLabel -> True, Ticks -> Automatic, TicksStyle -> {}, 
    DisplayFunction :> $DisplayFunction, FormatType :> 
    TraditionalForm}], $CellContext`a$$}, 
  TagBox[
   DynamicBox[ToBoxes[
     Show[
      Graphics[{
        Opacity[0.4], 
        Part[$CellContext`pfld$$, 1]}], 
      Graphics[
       Thickness[0.01]], 
      Map[Plot[
        Evaluate[
         ReplaceAll[
          $CellContext`x[$CellContext`t], 
          
          NDSolve[{
           Derivative[
             1][$CellContext`x][$CellContext`t] == (
              1 - $CellContext`x[$CellContext`t]) (
              2 - $CellContext`x[$CellContext`t]), $CellContext`x[
              Part[#, 1]] == Part[#, 2]}, 
           $CellContext`x[$CellContext`t], {$CellContext`t, 
            Part[#, 1], 4}]]], {$CellContext`t, 
         Part[#, 1], 4}, PlotRange -> {{0, 4}, {0., 2}}]& , $CellContext`q$$],
       Frame -> True, PlotLabel -> Last[$CellContext`q$$], AspectRatio -> 
      1/GoldenRatio], StandardForm],
    ImageSizeCache->{540., {178., 187.}}],
   EventHandlerTag[{"MouseDown" :> AppendTo[$CellContext`q$$, 
       MapThread[Max, {{0, 0}, 
         MousePosition["Graphics"]}, 1]], PassEventsDown -> Automatic, 
     PassEventsUp -> True}]],
  DynamicModuleValues:>{}]], "Output",
 CellChangeTimes->{
  3.4050636199666014`*^9, {3.405063748661656*^9, 3.4050637727162447`*^9}, 
   3.4050763427853165`*^9, 3.405079769272363*^9, 3.40507981030136*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowToolbars->"EditBar",
WindowSize->{923, 808},
WindowMargins->{{90, Automatic}, {Automatic, -20}},
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"CAM-style.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 157, 2, 116, "Title"],
Cell[CellGroupData[{
Cell[772, 29, 202, 3, 75, "MainSection"],
Cell[977, 34, 213, 5, 36, "Input",
 InitializationCell->True,
 CellID->528675717],
Cell[1193, 41, 12886, 268, 1036, "Input",
 CellID->143914918],
Cell[14082, 311, 6200, 134, 415, "Input",
 CellID->250069490]
}, Closed]],
Cell[CellGroupData[{
Cell[20319, 450, 156, 2, 65, "MainSection"],
Cell[CellGroupData[{
Cell[20500, 456, 194, 4, 43, "Section"],
Cell[CellGroupData[{
Cell[20719, 464, 719, 19, 36, "Input"],
Cell[21441, 485, 2950, 60, 444, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24428, 550, 775, 20, 36, "Input"],
Cell[25206, 572, 25843, 459, 380, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[51098, 1037, 263, 6, 64, "Section"],
Cell[CellGroupData[{
Cell[51386, 1047, 818, 22, 36, "Input"],
Cell[52207, 1071, 2537, 53, 444, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54781, 1129, 876, 23, 64, "Input"],
Cell[55660, 1154, 26283, 480, 380, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
