(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     62783,       1502]
NotebookOptionsPosition[     60887,       1434]
NotebookOutlinePosition[     61391,       1452]
CellTagsIndexPosition[     61348,       1449]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Polygon j\[AAcute]t\[EAcute]k", "Title",
 CellChangeTimes->{{3.405189882316256*^9, 3.405189887844205*^9}}],

Cell[CellGroupData[{

Cell["Egy minta", "MainSection",
 CellChangeTimes->{{3.4051898728826914`*^9, 3.4051898778698626`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data3d", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.404886915529192*^9, 3.40488691848344*^9}, {
  3.404886952322098*^9, 3.4048870284014945`*^9}, {3.4048870749684544`*^9, 
  3.4048870751487136`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics3D", "[", 
  RowBox[{"Polygon", "[", "data3d", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.4048870331383057`*^9, 3.404887045335845*^9}}],

Cell[BoxData[
 Graphics3DBox[Polygon3DBox[{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}],
  ImageSize->{202.5, 219.77012035101015`},
  ViewPoint->{-1.140825810315143, -0.03354707435814341, -3.185496988590761},
  ViewVertical->{
   0.20084921477176, -0.6929162370733544, -0.6924786504475575}]], "Output",
 CellChangeTimes->{3.404887046056882*^9, 3.4048870774720545`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics3D", "[", 
  RowBox[{"Polygon", "[", 
   RowBox[{"data3d", ",", 
    RowBox[{"VertexColors", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Red", ",", "Green", ",", "Blue"}], "}"}]}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.404887168062317*^9, 3.4048871753327713`*^9}}],

Cell[BoxData[
 Graphics3DBox[Polygon3DBox[{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}},
   VertexColors->{
     RGBColor[1, 0, 0], 
     RGBColor[0, 1, 0], 
     RGBColor[0, 0, 1]}],
  ImageSize->{202.5, 219.77012035101015`},
  ViewPoint->{-2.3709067277739875`, 1.2900056002631264`, -2.040756438060607},
  ViewVertical->{-0.707031218717948, -0.5152881225379317, \
-0.4843397635230321}]], "Output",
 CellChangeTimes->{3.404887175973693*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["DensityPlot", "MainSection",
 CellChangeTimes->{{3.405189949362664*^9, 3.4051899563026433`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "g", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"{", 
    RowBox[{"x_", ",", "y_"}], "}"}], "]"}], ":=", 
  RowBox[{
   SuperscriptBox["x", "2"], "-", 
   SuperscriptBox["y", "2"]}]}]}], "Input",
 CellChangeTimes->{{3.4051899670781374`*^9, 3.40518998331148*^9}, {
  3.4051903418870864`*^9, 3.4051903519315295`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"x1", "=", 
   RowBox[{"y1", "=", 
    RowBox[{"-", "1"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x2", "=", 
   RowBox[{"y2", "=", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dx", "=", "0.1"}], ";"}]}], "Input",
 CellChangeTimes->{{3.4051900007765937`*^9, 3.405190043978715*^9}, {
  3.405190147757942*^9, 3.405190148198576*^9}, {3.4051911552866974`*^9, 
  3.4051911556271873`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "x1", ",", "x2", ",", "dx"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "y1", ",", "y2", ",", "dx"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.4051900234291663`*^9, 3.405190087851802*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"colors", "=", 
   RowBox[{"data", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"u_", ",", "v_"}], "}"}], "->", 
     RowBox[{"g", "[", 
      RowBox[{"{", 
       RowBox[{"u", ",", "v"}], "}"}], "]"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4051903081986446`*^9, 3.4051903280171423`*^9}, {
   3.4051903604437695`*^9, 3.4051903872523184`*^9}, {3.4051905581780977`*^9, 
   3.4051906345078545`*^9}, {3.405190669678427*^9, 3.4051907479209347`*^9}, 
   3.4051907953691616`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"colors", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"colors", "-", 
     RowBox[{"Apply", "[", 
      RowBox[{"Min", ",", "colors"}], "]"}]}], ")"}], "/", 
   RowBox[{"Apply", "[", 
    RowBox[{"Max", ",", 
     RowBox[{"(", 
      RowBox[{"colors", "-", 
       RowBox[{"Apply", "[", 
        RowBox[{"Min", ",", "colors"}], "]"}]}], ")"}], ",", 
     RowBox[{"{", "1", "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4051903081986446`*^9, 3.4051903280171423`*^9}, {
   3.4051903604437695`*^9, 3.4051903872523184`*^9}, {3.4051905581780977`*^9, 
   3.4051906345078545`*^9}, {3.405190669678427*^9, 3.4051907261296*^9}, {
   3.4051907691514626`*^9, 3.40519078337191*^9}, 3.4051909319555635`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0.5`", ",", "0.595`", ",", "0.6799999999999999`", ",", "0.755`", ",", 
     "0.8200000000000001`", ",", "0.875`", ",", "0.92`", ",", 
     "0.9550000000000001`", ",", "0.98`", ",", "0.995`", ",", "1.`", ",", 
     "0.995`", ",", "0.98`", ",", "0.955`", ",", "0.9199999999999999`", ",", 
     "0.875`", ",", "0.82`", ",", "0.7549999999999999`", ",", 
     "0.6799999999999999`", ",", "0.5949999999999999`", ",", "0.5`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
    "0.4475138121546962`", ",", "0.5524861878453039`", ",", 
     "0.6464088397790055`", ",", "0.7292817679558011`", ",", 
     "0.8011049723756908`", ",", "0.8618784530386742`", ",", 
     "0.9116022099447515`", ",", "0.9502762430939228`", ",", 
     "0.9779005524861879`", ",", "0.9944751381215471`", ",", "1.`", ",", 
     "0.9944751381215471`", ",", "0.9779005524861879`", ",", 
     "0.9502762430939227`", ",", "0.9116022099447514`", ",", 
     "0.8618784530386742`", ",", "0.8011049723756907`", ",", 
     "0.729281767955801`", ",", "0.6464088397790055`", ",", 
     "0.5524861878453038`", ",", "0.4475138121546962`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.39024390243902446`", ",", "0.5060975609756098`", ",", 
     "0.6097560975609756`", ",", "0.701219512195122`", ",", 
     "0.7804878048780489`", ",", "0.8475609756097562`", ",", 
     "0.902439024390244`", ",", "0.9451219512195124`", ",", 
     "0.975609756097561`", ",", "0.9939024390243902`", ",", "1.`", ",", 
     "0.9939024390243902`", ",", "0.975609756097561`", ",", 
     "0.9451219512195121`", ",", "0.9024390243902439`", ",", 
     "0.8475609756097562`", ",", "0.7804878048780488`", ",", 
     "0.7012195121951219`", ",", "0.6097560975609756`", ",", 
     "0.5060975609756097`", ",", "0.39024390243902446`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.3288590604026846`", ",", "0.45637583892617445`", ",", 
     "0.5704697986577181`", ",", "0.6711409395973155`", ",", 
     "0.7583892617449665`", ",", "0.8322147651006712`", ",", 
     "0.8926174496644296`", ",", "0.9395973154362416`", ",", 
     "0.9731543624161074`", ",", "0.9932885906040269`", ",", "1.`", ",", 
     "0.9932885906040269`", ",", "0.9731543624161074`", ",", 
     "0.9395973154362416`", ",", "0.8926174496644295`", ",", 
     "0.832214765100671`", ",", "0.7583892617449665`", ",", 
     "0.6711409395973154`", ",", "0.5704697986577181`", ",", 
     "0.45637583892617434`", ",", "0.3288590604026846`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.2647058823529412`", ",", "0.40441176470588236`", ",", 
     "0.5294117647058822`", ",", "0.6397058823529413`", ",", 
     "0.7352941176470589`", ",", "0.8161764705882353`", ",", 
     "0.8823529411764707`", ",", "0.9338235294117648`", ",", 
     "0.9705882352941178`", ",", "0.9926470588235295`", ",", "1.`", ",", 
     "0.9926470588235295`", ",", "0.9705882352941176`", ",", 
     "0.9338235294117648`", ",", "0.8823529411764707`", ",", 
     "0.8161764705882353`", ",", "0.7352941176470588`", ",", 
     "0.6397058823529411`", ",", "0.5294117647058822`", ",", 
     "0.4044117647058822`", ",", "0.2647058823529412`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.2`", ",", "0.352`", ",", "0.48799999999999993`", ",", 
     "0.6080000000000001`", ",", "0.7120000000000001`", ",", "0.8`", ",", 
     "0.8720000000000001`", ",", "0.9280000000000002`", ",", "0.968`", ",", 
     "0.992`", ",", "1.`", ",", "0.992`", ",", "0.968`", ",", 
     "0.9279999999999999`", ",", "0.8719999999999999`", ",", 
     "0.7999999999999999`", ",", "0.712`", ",", "0.608`", ",", 
     "0.48799999999999993`", ",", "0.3519999999999998`", ",", "0.2`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
    "0.13793103448275856`", ",", "0.30172413793103436`", ",", 
     "0.44827586206896536`", ",", "0.5775862068965518`", ",", 
     "0.6896551724137931`", ",", "0.7844827586206896`", ",", 
     "0.8620689655172414`", ",", "0.9224137931034484`", ",", 
     "0.9655172413793105`", ",", "0.9913793103448276`", ",", "1.`", ",", 
     "0.9913793103448276`", ",", "0.9655172413793103`", ",", 
     "0.9224137931034482`", ",", "0.8620689655172413`", ",", 
     "0.7844827586206896`", ",", "0.689655172413793`", ",", 
     "0.5775862068965517`", ",", "0.44827586206896536`", ",", 
     "0.3017241379310342`", ",", "0.13793103448275856`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.08256880733944953`", ",", "0.2568807339449541`", ",", 
     "0.4128440366972476`", ",", "0.5504587155963304`", ",", 
     "0.6697247706422019`", ",", "0.7706422018348625`", ",", 
     "0.853211009174312`", ",", "0.9174311926605506`", ",", 
     "0.9633027522935782`", ",", "0.9908256880733948`", ",", "1.`", ",", 
     "0.9908256880733946`", ",", "0.963302752293578`", ",", 
     "0.9174311926605505`", ",", "0.853211009174312`", ",", 
     "0.7706422018348624`", ",", "0.6697247706422018`", ",", 
     "0.5504587155963302`", ",", "0.4128440366972476`", ",", 
     "0.25688073394495387`", ",", "0.08256880733944953`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.03846153846153849`", ",", "0.22115384615384612`", ",", 
     "0.38461538461538447`", ",", "0.5288461538461539`", ",", 
     "0.6538461538461537`", ",", "0.7596153846153846`", ",", 
     "0.846153846153846`", ",", "0.9134615384615384`", ",", 
     "0.9615384615384615`", ",", "0.9903846153846153`", ",", "1.`", ",", 
     "0.9903846153846153`", ",", "0.9615384615384615`", ",", 
     "0.9134615384615383`", ",", "0.8461538461538459`", ",", 
     "0.7596153846153844`", ",", "0.6538461538461537`", ",", 
     "0.5288461538461536`", ",", "0.38461538461538447`", ",", 
     "0.2211538461538459`", ",", "0.03846153846153849`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.00990099009900991`", ",", "0.19801980198019797`", ",", 
     "0.3663366336633662`", ",", "0.5148514851485149`", ",", 
     "0.6435643564356436`", ",", "0.7524752475247525`", ",", 
     "0.8415841584158416`", ",", "0.9108910891089109`", ",", 
     "0.9603960396039604`", ",", "0.9900990099009901`", ",", "1.`", ",", 
     "0.9900990099009901`", ",", "0.9603960396039604`", ",", 
     "0.9108910891089108`", ",", "0.8415841584158414`", ",", 
     "0.7524752475247524`", ",", "0.6435643564356435`", ",", 
     "0.5148514851485148`", ",", "0.3663366336633662`", ",", 
     "0.19801980198019775`", ",", "0.00990099009900991`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.`", ",", "0.18999999999999995`", ",", "0.3599999999999999`", ",", 
     "0.51`", ",", "0.64`", ",", "0.75`", ",", "0.8400000000000001`", ",", 
     "0.91`", ",", "0.96`", ",", "0.99`", ",", "1.`", ",", "0.99`", ",", 
     "0.96`", ",", "0.9099999999999999`", ",", "0.84`", ",", 
     "0.7499999999999999`", ",", "0.6399999999999999`", ",", 
     "0.5099999999999999`", ",", "0.3599999999999999`", ",", 
     "0.18999999999999972`", ",", "0.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.00990099009900991`", ",", "0.19801980198019797`", ",", 
     "0.3663366336633662`", ",", "0.5148514851485149`", ",", 
     "0.6435643564356436`", ",", "0.7524752475247525`", ",", 
     "0.8415841584158417`", ",", "0.9108910891089109`", ",", 
     "0.9603960396039605`", ",", "0.9900990099009901`", ",", "1.`", ",", 
     "0.9900990099009901`", ",", "0.9603960396039604`", ",", 
     "0.9108910891089108`", ",", "0.8415841584158416`", ",", 
     "0.7524752475247524`", ",", "0.6435643564356435`", ",", 
     "0.5148514851485148`", ",", "0.3663366336633662`", ",", 
     "0.19801980198019775`", ",", "0.00990099009900991`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.03846153846153849`", ",", "0.22115384615384612`", ",", 
     "0.38461538461538447`", ",", "0.5288461538461539`", ",", 
     "0.6538461538461539`", ",", "0.7596153846153846`", ",", 
     "0.8461538461538461`", ",", "0.9134615384615384`", ",", 
     "0.9615384615384615`", ",", "0.9903846153846153`", ",", "1.`", ",", 
     "0.9903846153846153`", ",", "0.9615384615384615`", ",", 
     "0.9134615384615383`", ",", "0.846153846153846`", ",", 
     "0.7596153846153845`", ",", "0.6538461538461537`", ",", 
     "0.5288461538461537`", ",", "0.38461538461538447`", ",", 
     "0.2211538461538459`", ",", "0.03846153846153849`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.08256880733944962`", ",", "0.25688073394495414`", ",", 
     "0.4128440366972476`", ",", "0.5504587155963303`", ",", 
     "0.6697247706422018`", ",", "0.7706422018348624`", ",", 
     "0.8532110091743119`", ",", "0.9174311926605504`", ",", 
     "0.963302752293578`", ",", "0.9908256880733946`", ",", "1.`", ",", 
     "0.9908256880733946`", ",", "0.963302752293578`", ",", 
     "0.9174311926605504`", ",", "0.8532110091743118`", ",", 
     "0.7706422018348622`", ",", "0.6697247706422018`", ",", 
     "0.5504587155963301`", ",", "0.4128440366972476`", ",", 
     "0.2568807339449539`", ",", "0.08256880733944962`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.13793103448275865`", ",", "0.3017241379310344`", ",", 
     "0.4482758620689654`", ",", "0.5775862068965518`", ",", 
     "0.6896551724137931`", ",", "0.7844827586206896`", ",", 
     "0.8620689655172413`", ",", "0.9224137931034483`", ",", 
     "0.9655172413793104`", ",", "0.9913793103448276`", ",", "1.`", ",", 
     "0.9913793103448276`", ",", "0.9655172413793104`", ",", 
     "0.9224137931034483`", ",", "0.8620689655172413`", ",", 
     "0.7844827586206895`", ",", "0.689655172413793`", ",", 
     "0.5775862068965516`", ",", "0.4482758620689654`", ",", 
     "0.30172413793103425`", ",", "0.13793103448275865`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.2000000000000001`", ",", "0.3520000000000001`", ",", "0.488`", ",", 
     "0.6080000000000002`", ",", "0.7120000000000002`", ",", "0.8`", ",", 
     "0.8720000000000001`", ",", "0.9280000000000002`", ",", 
     "0.9680000000000002`", ",", "0.9920000000000002`", ",", "1.`", ",", 
     "0.9920000000000002`", ",", "0.968`", ",", "0.9280000000000002`", ",", 
     "0.8720000000000001`", ",", "0.8`", ",", "0.7120000000000001`", ",", 
     "0.6080000000000001`", ",", "0.488`", ",", "0.35199999999999987`", ",", 
     "0.2000000000000001`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.26470588235294124`", ",", "0.40441176470588236`", ",", 
     "0.5294117647058822`", ",", "0.6397058823529412`", ",", 
     "0.7352941176470588`", ",", "0.8161764705882353`", ",", 
     "0.8823529411764707`", ",", "0.9338235294117646`", ",", 
     "0.9705882352941176`", ",", "0.9926470588235294`", ",", "1.`", ",", 
     "0.9926470588235294`", ",", "0.9705882352941176`", ",", 
     "0.9338235294117646`", ",", "0.8823529411764705`", ",", 
     "0.8161764705882352`", ",", "0.7352941176470588`", ",", 
     "0.6397058823529411`", ",", "0.5294117647058822`", ",", 
     "0.4044117647058822`", ",", "0.26470588235294124`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.3288590604026846`", ",", "0.45637583892617445`", ",", 
     "0.5704697986577181`", ",", "0.6711409395973155`", ",", 
     "0.7583892617449665`", ",", "0.8322147651006712`", ",", 
     "0.8926174496644295`", ",", "0.9395973154362416`", ",", 
     "0.9731543624161074`", ",", "0.9932885906040267`", ",", "1.`", ",", 
     "0.9932885906040267`", ",", "0.9731543624161074`", ",", 
     "0.9395973154362416`", ",", "0.8926174496644295`", ",", 
     "0.832214765100671`", ",", "0.7583892617449662`", ",", 
     "0.6711409395973154`", ",", "0.5704697986577181`", ",", 
     "0.45637583892617434`", ",", "0.3288590604026846`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.39024390243902446`", ",", "0.5060975609756098`", ",", 
     "0.6097560975609756`", ",", "0.701219512195122`", ",", 
     "0.7804878048780489`", ",", "0.8475609756097562`", ",", 
     "0.902439024390244`", ",", "0.9451219512195124`", ",", 
     "0.975609756097561`", ",", "0.9939024390243902`", ",", "1.`", ",", 
     "0.9939024390243902`", ",", "0.975609756097561`", ",", 
     "0.9451219512195121`", ",", "0.9024390243902439`", ",", 
     "0.8475609756097562`", ",", "0.7804878048780488`", ",", 
     "0.7012195121951219`", ",", "0.6097560975609756`", ",", 
     "0.5060975609756097`", ",", "0.39024390243902446`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.4475138121546962`", ",", "0.5524861878453039`", ",", 
     "0.6464088397790055`", ",", "0.7292817679558011`", ",", 
     "0.8011049723756906`", ",", "0.861878453038674`", ",", 
     "0.9116022099447515`", ",", "0.9502762430939227`", ",", 
     "0.9779005524861878`", ",", "0.994475138121547`", ",", "1.`", ",", 
     "0.994475138121547`", ",", "0.9779005524861878`", ",", 
     "0.9502762430939227`", ",", "0.9116022099447515`", ",", 
     "0.8618784530386739`", ",", "0.8011049723756906`", ",", 
     "0.7292817679558011`", ",", "0.6464088397790055`", ",", 
     "0.5524861878453038`", ",", "0.4475138121546962`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.5`", ",", "0.595`", ",", "0.6799999999999999`", ",", "0.755`", ",", 
     "0.8200000000000001`", ",", "0.875`", ",", "0.92`", ",", 
     "0.9550000000000001`", ",", "0.98`", ",", "0.995`", ",", "1.`", ",", 
     "0.995`", ",", "0.98`", ",", "0.955`", ",", "0.9199999999999999`", ",", 
     "0.875`", ",", "0.82`", ",", "0.7549999999999999`", ",", 
     "0.6799999999999999`", ",", "0.5949999999999999`", ",", "0.5`"}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.4051905674213886`*^9, {3.4051906524436445`*^9, 3.4051907007130527`*^9}, {
   3.405190770523435*^9, 3.4051907839727745`*^9}, 3.4051909329670177`*^9, 
   3.40519116851572*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"d", "=", 
  RowBox[{"Drop", "[", 
   RowBox[{
    RowBox[{"Dimensions", "[", "data", "]"}], ",", 
    RowBox[{"-", "1"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4049206115817566`*^9, 3.4049206210653934`*^9}, {
   3.404920666620899*^9, 3.4049207149503937`*^9}, 3.405190132045349*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"21", ",", "21"}], "}"}]], "Output",
 CellChangeTimes->{3.405191205338669*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Partition", "[", 
   RowBox[{
    RowBox[{"Range", "[", 
     RowBox[{"Apply", "[", 
      RowBox[{"Times", ",", "d"}], "]"}], "]"}], ",", 
    RowBox[{"d", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "//", "TableForm"}]], "Input",
 CellChangeTimes->{{3.4051893183152623`*^9, 3.405189320708704*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11"},
    {"12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22"},
    {"23", "24", "25", "26", "27", "28", "29", "30", "31", "32", "33"},
    {"34", "35", "36", "37", "38", "39", "40", "41", "42", "43", "44"},
    {"45", "46", "47", "48", "49", "50", "51", "52", "53", "54", "55"},
    {"56", "57", "58", "59", "60", "61", "62", "63", "64", "65", "66"},
    {"67", "68", "69", "70", "71", "72", "73", "74", "75", "76", "77"},
    {"78", "79", "80", "81", "82", "83", "84", "85", "86", "87", "88"},
    {"89", "90", "91", "92", "93", "94", "95", "96", "97", "98", "99"},
    {"100", "101", "102", "103", "104", "105", "106", "107", "108", "109", 
     "110"},
    {"111", "112", "113", "114", "115", "116", "117", "118", "119", "120", 
     "121"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.405189311946104*^9, 3.4051893767292576`*^9}, {
   3.4051901366219296`*^9, 3.4051901553989296`*^9}, 3.405191173943525*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Points", "Section",
 CellChangeTimes->{{3.4051896665259647`*^9, 3.405189669059608*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics", "[", 
  RowBox[{"GraphicsComplex", "[", 
   RowBox[{
    RowBox[{"Flatten", "[", 
     RowBox[{"data", ",", " ", "1"}], "]"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"Map", "[", 
      RowBox[{"Point", ",", " ", 
       RowBox[{"Partition", "[", 
        RowBox[{
         RowBox[{"Range", "[", 
          RowBox[{"Apply", "[", 
           RowBox[{"Times", ",", " ", "d"}], "]"}], "]"}], ",", " ", 
         RowBox[{"d", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "]"}], "}"}], ",", " ", 
    RowBox[{"VertexColors", " ", "->", " ", 
     RowBox[{"Flatten", "[", 
      RowBox[{"colors", ",", " ", "1"}], "]"}]}]}], "]"}], "\n", " ", 
  "]"}]], "Input",
 CellChangeTimes->{{3.4049194361916285`*^9, 3.4049194991922193`*^9}, {
  3.4049195311681986`*^9, 3.404919636509672*^9}, {3.4049196717703743`*^9, 
  3.4049197142013874`*^9}, {3.4049197813279104`*^9, 3.404919839100984*^9}, {
  3.404919869124155*^9, 3.4049198780770288`*^9}, {3.404920759023768*^9, 
  3.404920889301098*^9}, {3.4051901856924896`*^9, 3.405190187655312*^9}, {
  3.4051909692091312`*^9, 3.40519099101048*^9}}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJyFmT+KVTEYR9+4E7egloHswSUIaulWUomj4j6mshbUxsouEBgQLGYJ8u6d
83t85yH3NuEwmYw5JPn++PTVu5evn5xOp7ub0+k87t/DV48/vp+/v+GPt+fv
T/jN9t2Hn2/f0jozvP367e/ws23+r/CH7effwu83vtN6o8Ff9p93+PP+++EX
+/rhT/vfD9/s/z7NX+G3+/7Cj/sP/9z9hB/Hbm+wR3zC+ITxWdebYXzC+ITx
CeOzrjcajE8YnzA+YXzC+KzzVxif2n8Yn/LXfe7sDfaITxifdb0ZxieMTxif
MD7reqPB+ITxCeMTxieMzzp/hfGpfYfxKX/d99bnzt5gj/is680wPmF8wviE
8VnXGw3GJ4xPGJ8wPmF81vkrjE/tP4xP+et+93xvfe7sDfaITxifMD5hfML4
rOuNBuMTxieMTxifMD7r/BXGp/Yfxqf8dfZd39V59Q76Hvsc2qNHfMI1Hk3F
o6l4NOMTrvFoKh5NxaOpeDQVj6bi0VQ8mopHU/Eo/nrd58NV3ID9Dvoe+xza
o0d8wviE8VnXGw3GJ4xPGJ8wPmF81vkrjE/tP4xP+evOWxx3HTf87vne+tzZ
G+wRnzA+63qjwfiE8QnjE8YnjM86f4Xxqf2H8Sl/3Xmf8xbHXccNv3u+tz53
9gZ7xGddbzQYnzA+YXzC+ITxWeevMD61/zA+5a87b3be57zFcddxw++e763P
nb3BHvEJ4xPGJ4xPGJ8wPuv8Fcan9h/Gp/z1+s5f6hDn0c4DncfUeHSJG373
fG997uytrncZazwarcaj0Wo8Gq3Go9FqPGL+Ctd4lP2HazyKv+66zXWH82bn
fc5bHHcdN/zu+d763Nkb7BGfMD5hfML4rPNXGJ/afxif8tdd97puc93hvNl5
n/MWx13HDb97vrc+d/YGe8QnjE8Yn3X+CuNT+w/jU/66+waue123ue5w3uy8
z3mL467jht8931ufO3uDPeITxmedt8L41P7D+JS/7r6L+waue123ue5w3uy8
z3mL467jht8931ufO3uDPeKzzl9hfGr/YXzKX3ffyn0X9w1c97puc93hvNl5
n/MWx13HDb97vrc+d/YGe8QnjE/tP4xP+es1rl36gO5juQ/jPkK970v3fV3V
Ic6jnQc6j6n3fV3FEb+Dvsc+h/bosd73pfu+dN/jr7tv6r6f+1buu7hv4LrX
dZvrDufNzvuctzjuOm743fO99bmzN9gjPmF8yl+vedWlD+0+qvuA+HTfxX0D
172u21x3OG923ue8xXHXccPvnu+tz529af8Z1f+MT/ft3Xd239R9P/et3Hdx
38B1r+s21x3Om533OW9x3HXc8Lvne+tzZ2+wR3xq/N//gxz1oY/6gEd9mKM6
+KgOOcoDj+Lw0Tt4dA4z/gP8CnLo
   "], {PointBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 
     18, 19, 20, 21}], 
    PointBox[{22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 
     38, 39, 40, 41, 42}], 
    PointBox[{43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 
     59, 60, 61, 62, 63}], 
    PointBox[{64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 
     80, 81, 82, 83, 84}], 
    PointBox[{85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100,
      101, 102, 103, 104, 105}], 
    PointBox[{106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118,
      119, 120, 121, 122, 123, 124, 125, 126}], 
    PointBox[{127, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139,
      140, 141, 142, 143, 144, 145, 146, 147}], 
    PointBox[{148, 149, 150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160,
      161, 162, 163, 164, 165, 166, 167, 168}], 
    PointBox[{169, 170, 171, 172, 173, 174, 175, 176, 177, 178, 179, 180, 181,
      182, 183, 184, 185, 186, 187, 188, 189}], 
    PointBox[{190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 200, 201, 202,
      203, 204, 205, 206, 207, 208, 209, 210}], 
    PointBox[{211, 212, 213, 214, 215, 216, 217, 218, 219, 220, 221, 222, 223,
      224, 225, 226, 227, 228, 229, 230, 231}], 
    PointBox[{232, 233, 234, 235, 236, 237, 238, 239, 240, 241, 242, 243, 244,
      245, 246, 247, 248, 249, 250, 251, 252}], 
    PointBox[{253, 254, 255, 256, 257, 258, 259, 260, 261, 262, 263, 264, 265,
      266, 267, 268, 269, 270, 271, 272, 273}], 
    PointBox[{274, 275, 276, 277, 278, 279, 280, 281, 282, 283, 284, 285, 286,
      287, 288, 289, 290, 291, 292, 293, 294}], 
    PointBox[{295, 296, 297, 298, 299, 300, 301, 302, 303, 304, 305, 306, 307,
      308, 309, 310, 311, 312, 313, 314, 315}], 
    PointBox[{316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328,
      329, 330, 331, 332, 333, 334, 335, 336}], 
    PointBox[{337, 338, 339, 340, 341, 342, 343, 344, 345, 346, 347, 348, 349,
      350, 351, 352, 353, 354, 355, 356, 357}], 
    PointBox[{358, 359, 360, 361, 362, 363, 364, 365, 366, 367, 368, 369, 370,
      371, 372, 373, 374, 375, 376, 377, 378}], 
    PointBox[{379, 380, 381, 382, 383, 384, 385, 386, 387, 388, 389, 390, 391,
      392, 393, 394, 395, 396, 397, 398, 399}], 
    PointBox[{400, 401, 402, 403, 404, 405, 406, 407, 408, 409, 410, 411, 412,
      413, 414, 415, 416, 417, 418, 419, 420}], 
    PointBox[{421, 422, 423, 424, 425, 426, 427, 428, 429, 430, 431, 432, 433,
      434, 435, 436, 437, 438, 439, 440, 441}]},
   VertexColors->CompressedData["
1:eJzVV39MlHUYx5aCxuSH/MEvQUuDotyobMAFn5yEkEXCHwzRNjhglbI6nRU/
nAFSZC2gMgQXIukgtkIpijsxG78mrNYQ45dg3MHBHdzde6QzJWv1vq/P07V3
Ywf1l9+xu3ve5/N8Pp+9+36/z8N69WvJ2ctcXFx00oe89Fg1dEoTvWoSHTdC
d5d3TOEh8fNGqBkxcmIWd3BW7IuWHthQIQMFyLDddsjlQ3bCzf0Tc76c8Bqq
Z75o4g8lPdZfSX7Yn0uN7Zbn6TEUhR85fPNLA7RxKccyzhixcfUvrXEpJvSW
rpuq/2wGdV+vDS4+asGZDweyh8NsuL4+Xtf4soCcrNf9fnvWjsCdL77zXb/D
J8ecv0b4Jqpnvh7i30B6rF9Iftjfbd9Py9vnh/FYRPDh6+F6iB/ir0nsi1lh
ytRMU96MdXLCgomD7j9d1FvxtJSOESCXRdghPhQzDp8ccz6G8AaqZ77fiV9D
eqwfTn7Y35seu8ZXuA+gc7B12dbNVxE17W1I2DKBZ3KTK/7Im0JR3fEyXawZ
9gzLaGHdLMp1sWLGivTP6zM3eQnI2uR1wmeDHdXbS0KW9zp8csx5xpdRvUB8
zB9LeqzfTn7Y369z0urDhEFaI5DDOT3yc6VlxLul0jIhSF6ziH5KWlZMyngb
PD2kZUd3p7QcPjn2oDzjuZ75Sok/l/RYf5z8sL/j1dLqxbkE93vCSgfh+kVg
WpZqHGPzh/acPzCJTM/UyJaeacLNoPiTre/nmCzwvzdl9aNf2ZA+1Xf/6LwA
CfXGBYdPjjnvS/hCqq8mPjXxj5Ie67eSH/Z3tMA/Q9fQjodvPtGx/4XLuOT2
Q/QHZ8eg1jV4VRZM4KCU9pqGHPrPIEAKKy04GZcqvFJiQ7z0NSXAu1Iicvjk
OI7yJwjvT/XMV0D8GaTH+iHkh/09nhzeGvXAN7jP9dJkm6YP39f/mbUy5wqG
/BqrdtUYYEp56bT61Sl8/J5uwK/RjJGW2keKnregbUAC2BBhC9meflnAjtu9
3sMtDp+JFD9J+XOE5/qPiG+a+AdIj/VdyQ/781U1r1E1n4KlK9HalfgjBo/U
DIt/6JZCqx7yY6sRVvmHGVESfI0F8pfKBjndJUAOmx0+Oeb8WcJHUv0s8TF/
J+mx/iT5YX8uV9TZt+JKkFvRdujb1F64PRe12WP/EAKT0vsb8/TIFLM+VUbI
MB8zihIaprcIs9jpd8Fr+YPi/hRRFW0Cqg7sCTI2OXxyzPlUwhdS/QjxqYk/
gPRYX0N+2B93pB3aoLctST1wu9NIkCzHehT4NG0z5BsJZ8ZEvvRgFsFiVhtk
gwzTive3iPL5l0+OOR9EeAPV/yUvE/KJP4n0WD+e/LC/pb7PYsX7zFji+yz6
j+/T2f7sVuxP1f/cn7y/LYr92eVkf0bSeXJXnPdBOn98Hvl8DtN51dH55fOc
6OS8M36I6isU5/1nxXl3Iz/s7xjdT2F0X/U7uT/5/qul+3Cbk/uT87WK+1Or
uD/TSY/1Q8kP+6uh+/483f9u1A+uUn/IctKP1NRv0hT9KE3RjxjP9czH/Y77
H+tryQ/7u7ZAf8+jflu6QH83UL/m/t2l6O9div7OeBXVr11kf2d/S52XyhaY
l6oU81LVIueltxY5L90t86ezef4izdsnFfM8z+d7aV4PUMzzHO9VzPNcX0t8
zL/RyTx/t/x/9DdDobkY
    "]]]], "Output",
 CellChangeTimes->{3.4051910649868526`*^9, 3.405191178880624*^9, 
  3.405191211998245*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\
eJztlMFKQlEURa9JAx1nDYp4X1OjPuIhgg6iMP9/5yU6NRDByfPsxdmgPrYg
Ljhrv42H7eZ9POzW4/C6Hz+3u/XX8PKxP1bzWWs3T8fX49D6s1r7ffvLc3/7
30xaLPvHvP+nhxNP92e/vfxpit9b/oAt+sdtL1Ynnu7Ofnv50xS/tygwTzCs
Y4pcd8TQBfZ6sL4XmBsY1jFFkq0aqcBeD9b3AnMDwzqmSLJVIxXY68H6XmBu
YFjHFEm2aqQCez1Y3wvMDQzrmCLJVo1UYK8H63uBuYFhHVMk2aoZF9hjwepd
YG5gWMcUSbZqpAJ7PVjfC8wNDOuYIslWjVRgrwfre4G5gWEdUyTZqpEK7PVg
fS8wNzCsY4okWzVSgb0erO8F5gaGdUyRZKtGKrDXg/W9wNzAsI4pkmzVSAX2
erC+F5gbGNYxRZKtGqnAXg/W9wJzA8M6pkiyVTMusMeC1bvA3MCwjimSbNVI
BfZ6sL4XmBsY1jFFkq0aqcBeD9b3AnMDwzqmSLJVIxXY68H6XmBuYFjHFEm2
aqQCez1Y3wvMDQzrmCLJVo1UYK8H63uBuYFhHVMk2aqRCuz1YH0vMDcwrGOK
XHfE2uwbJJ1OjA==\
\>"]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Polygons", "Section",
 CellChangeTimes->{{3.405191026952162*^9, 3.4051910287847967`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics", "[", 
  RowBox[{"GraphicsComplex", "[", 
   RowBox[{
    RowBox[{"Flatten", "[", 
     RowBox[{"data", ",", "1"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"EdgeForm", "[", "Blue", "]"}], ",", 
      RowBox[{"Polygon", "[", "\[IndentingNewLine]", 
       RowBox[{"tmp", "=", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"Drop", "[", 
           RowBox[{
            RowBox[{"MapThread", "[", 
             RowBox[{"List", ",", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"RotateLeft", "[", 
                  RowBox[{
                   RowBox[{"Partition", "[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"Apply", "[", 
                    RowBox[{"Times", ",", "d"}], "]"}], "]"}], ",", 
                    RowBox[{"d", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", "#"}], 
                  "]"}], "&"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"1", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"1", ",", "1"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], "]"}], ",", 
              "2"}], "]"}], ",", 
            RowBox[{"-", "1"}], ",", 
            RowBox[{"-", "1"}]}], "]"}], ",", "1"}], "]"}]}], 
       "\[IndentingNewLine]", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"VertexColors", "\[Rule]", "\[IndentingNewLine]", " ", 
     RowBox[{"Flatten", "[", 
      RowBox[{"colors", ",", " ", "1"}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.4049194361916285`*^9, 3.4049194991922193`*^9}, {
   3.4049195311681986`*^9, 3.404919636509672*^9}, {3.4049196717703743`*^9, 
   3.4049197142013874`*^9}, {3.4049197813279104`*^9, 3.404919839100984*^9}, {
   3.404919869124155*^9, 3.4049198780770288`*^9}, {3.404920759023768*^9, 
   3.404920926134061*^9}, {3.4049209646995153`*^9, 3.4049209799314175`*^9}, {
   3.4049210401980767`*^9, 3.4049210802556767`*^9}, {3.4049211472219696`*^9, 
   3.4049211772351265`*^9}, {3.4049316211175165`*^9, 3.404931696385747*^9}, {
   3.4049320457981777`*^9, 3.404932055642333*^9}, 3.404932669535067*^9, {
   3.4049327004595346`*^9, 3.40493274251*^9}, 3.404932852448083*^9, {
   3.404932913405736*^9, 3.4049329612945967`*^9}, {3.404933348501373*^9, 
   3.404933386796438*^9}, {3.4049335062381873`*^9, 3.4049335113255024`*^9}, 
   3.404933653780342*^9, {3.4049343370227966`*^9, 3.404934352444973*^9}, {
   3.4049346854638305`*^9, 3.4049346954081297`*^9}, {3.4049348027925406`*^9, 
   3.40493480631761*^9}, {3.404934837302163*^9, 3.404934861286651*^9}, {
   3.4049353824860992`*^9, 3.4049355074958544`*^9}, {3.4049355801503267`*^9, 
   3.4049355854379296`*^9}, {3.404935656279795*^9, 3.4049357197210193`*^9}, {
   3.4049357678201823`*^9, 3.4049357831722574`*^9}, {3.404935888363515*^9, 
   3.404935941279605*^9}, {3.4049362666574755`*^9, 3.4049362952085295`*^9}, {
   3.404936350247672*^9, 3.4049363514994717`*^9}, {3.404936471021336*^9, 
   3.404936499492275*^9}, {3.4049366155391426`*^9, 3.4049366208768177`*^9}, {
   3.4049368097183585`*^9, 3.404936811881469*^9}, {3.404937443649907*^9, 
   3.404937464179427*^9}, {3.4049387398036847`*^9, 3.4049387715192895`*^9}, {
   3.4049390353787007`*^9, 3.4049390710299644`*^9}, {3.40493961814668*^9, 
   3.4049397149658995`*^9}, {3.4049397661194544`*^9, 
   3.4049397850566845`*^9}, {3.4049398185548525`*^9, 3.404939859754094*^9}, 
   3.404939902255208*^9, {3.4049399567435584`*^9, 3.404939985164426*^9}, 
   3.404940576985422*^9, {3.4049406146395664`*^9, 3.4049406297913537`*^9}, {
   3.404940840093754*^9, 3.404940880652074*^9}, {3.4049409330073566`*^9, 
   3.4049409352305536`*^9}, {3.405006522150613*^9, 3.405006545844683*^9}, {
   3.4050998538403215`*^9, 3.40509985429097*^9}, {3.4050998853956957`*^9, 
   3.405099889111038*^9}, {3.4051895330440273`*^9, 3.4051895379110255`*^9}, {
   3.40519107321869*^9, 3.405191135748603*^9}}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJyFmT+KVTEYR9+4E7egloHswSUIaulWUomj4j6mshbUxsouEBgQLGYJ8u6d
83t85yH3NuEwmYw5JPn++PTVu5evn5xOp7ub0+k87t/DV48/vp+/v+GPt+fv
T/jN9t2Hn2/f0jozvP367e/ws23+r/CH7effwu83vtN6o8Ff9p93+PP+++EX
+/rhT/vfD9/s/z7NX+G3+/7Cj/sP/9z9hB/Hbm+wR3zC+ITxWdebYXzC+ITx
CeOzrjcajE8YnzA+YXzC+KzzVxif2n8Yn/LXfe7sDfaITxifdb0ZxieMTxif
MD7reqPB+ITxCeMTxieMzzp/hfGpfYfxKX/d99bnzt5gj/is680wPmF8wviE
8VnXGw3GJ4xPGJ8wPmF81vkrjE/tP4xP+et+93xvfe7sDfaITxifMD5hfML4
rOuNBuMTxieMTxifMD7r/BXGp/Yfxqf8dfZd39V59Q76Hvsc2qNHfMI1Hk3F
o6l4NOMTrvFoKh5NxaOpeDQVj6bi0VQ8mopHU/Eo/nrd58NV3ID9Dvoe+xza
o0d8wviE8VnXGw3GJ4xPGJ8wPmF81vkrjE/tP4xP+evOWxx3HTf87vne+tzZ
G+wRnzA+63qjwfiE8QnjE8YnjM86f4Xxqf2H8Sl/3Xmf8xbHXccNv3u+tz53
9gZ7xGddbzQYnzA+YXzC+ITxWeevMD61/zA+5a87b3be57zFcddxw++e763P
nb3BHvEJ4xPGJ4xPGJ8wPuv8Fcan9h/Gp/z1+s5f6hDn0c4DncfUeHSJG373
fG997uytrncZazwarcaj0Wo8Gq3Go9FqPGL+Ctd4lP2HazyKv+66zXWH82bn
fc5bHHcdN/zu+d763Nkb7BGfMD5hfML4rPNXGJ/afxif8tdd97puc93hvNl5
n/MWx13HDb97vrc+d/YGe8QnjE8Yn3X+CuNT+w/jU/66+waue123ue5w3uy8
z3mL467jht8931ufO3uDPeITxmedt8L41P7D+JS/7r6L+waue123ue5w3uy8
z3mL467jht8931ufO3uDPeKzzl9hfGr/YXzKX3ffyn0X9w1c97puc93hvNl5
n/MWx13HDb97vrc+d/YGe8QnjE/tP4xP+es1rl36gO5juQ/jPkK970v3fV3V
Ic6jnQc6j6n3fV3FEb+Dvsc+h/bosd73pfu+dN/jr7tv6r6f+1buu7hv4LrX
dZvrDufNzvuctzjuOm743fO99bmzN9gjPmF8yl+vedWlD+0+qvuA+HTfxX0D
172u21x3OG923ue8xXHXccPvnu+tz529af8Z1f+MT/ft3Xd239R9P/et3Hdx
38B1r+s21x3Om533OW9x3HXc8Lvne+tzZ2+wR3xq/N//gxz1oY/6gEd9mKM6
+KgOOcoDj+Lw0Tt4dA4z/gP8CnLo
   "], 
   {EdgeForm[RGBColor[0, 0, 1]], PolygonBox[CompressedData["
1:eJwt2FO4WFcChuGzYydt7JzYtm3bODFPbNu2nTY22s7U9kxtz7Qd2529nv1e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     "]]},
   VertexColors->CompressedData["
1:eJzVV39MlHUYx5aCxuSH/MEvQUuDotyobMAFn5yEkEXCHwzRNjhglbI6nRU/
nAFSZC2gMgQXIukgtkIpijsxG78mrNYQ45dg3MHBHdzde6QzJWv1vq/P07V3
Ywf1l9+xu3ve5/N8Pp+9+36/z8N69WvJ2ctcXFx00oe89Fg1dEoTvWoSHTdC
d5d3TOEh8fNGqBkxcmIWd3BW7IuWHthQIQMFyLDddsjlQ3bCzf0Tc76c8Bqq
Z75o4g8lPdZfSX7Yn0uN7Zbn6TEUhR85fPNLA7RxKccyzhixcfUvrXEpJvSW
rpuq/2wGdV+vDS4+asGZDweyh8NsuL4+Xtf4soCcrNf9fnvWjsCdL77zXb/D
J8ecv0b4Jqpnvh7i30B6rF9Iftjfbd9Py9vnh/FYRPDh6+F6iB/ir0nsi1lh
ytRMU96MdXLCgomD7j9d1FvxtJSOESCXRdghPhQzDp8ccz6G8AaqZ77fiV9D
eqwfTn7Y35seu8ZXuA+gc7B12dbNVxE17W1I2DKBZ3KTK/7Im0JR3fEyXawZ
9gzLaGHdLMp1sWLGivTP6zM3eQnI2uR1wmeDHdXbS0KW9zp8csx5xpdRvUB8
zB9LeqzfTn7Y369z0urDhEFaI5DDOT3yc6VlxLul0jIhSF6ziH5KWlZMyngb
PD2kZUd3p7QcPjn2oDzjuZ75Sok/l/RYf5z8sL/j1dLqxbkE93vCSgfh+kVg
WpZqHGPzh/acPzCJTM/UyJaeacLNoPiTre/nmCzwvzdl9aNf2ZA+1Xf/6LwA
CfXGBYdPjjnvS/hCqq8mPjXxj5Ie67eSH/Z3tMA/Q9fQjodvPtGx/4XLuOT2
Q/QHZ8eg1jV4VRZM4KCU9pqGHPrPIEAKKy04GZcqvFJiQ7z0NSXAu1Iicvjk
OI7yJwjvT/XMV0D8GaTH+iHkh/09nhzeGvXAN7jP9dJkm6YP39f/mbUy5wqG
/BqrdtUYYEp56bT61Sl8/J5uwK/RjJGW2keKnregbUAC2BBhC9meflnAjtu9
3sMtDp+JFD9J+XOE5/qPiG+a+AdIj/VdyQ/781U1r1E1n4KlK9HalfgjBo/U
DIt/6JZCqx7yY6sRVvmHGVESfI0F8pfKBjndJUAOmx0+Oeb8WcJHUv0s8TF/
J+mx/iT5YX8uV9TZt+JKkFvRdujb1F64PRe12WP/EAKT0vsb8/TIFLM+VUbI
MB8zihIaprcIs9jpd8Fr+YPi/hRRFW0Cqg7sCTI2OXxyzPlUwhdS/QjxqYk/
gPRYX0N+2B93pB3aoLctST1wu9NIkCzHehT4NG0z5BsJZ8ZEvvRgFsFiVhtk
gwzTive3iPL5l0+OOR9EeAPV/yUvE/KJP4n0WD+e/LC/pb7PYsX7zFji+yz6
j+/T2f7sVuxP1f/cn7y/LYr92eVkf0bSeXJXnPdBOn98Hvl8DtN51dH55fOc
6OS8M36I6isU5/1nxXl3Iz/s7xjdT2F0X/U7uT/5/qul+3Cbk/uT87WK+1Or
uD/TSY/1Q8kP+6uh+/483f9u1A+uUn/IctKP1NRv0hT9KE3RjxjP9czH/Y77
H+tryQ/7u7ZAf8+jflu6QH83UL/m/t2l6O9div7OeBXVr11kf2d/S52XyhaY
l6oU81LVIueltxY5L90t86ezef4izdsnFfM8z+d7aV4PUMzzHO9VzPNcX0t8
zL/RyTx/t/x/9DdDobkY
    "]],
  ImageSize->{264., Automatic}]], "Output",
 CellChangeTimes->{3.405191288618419*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics", "[", 
  RowBox[{"GraphicsComplex", "[", 
   RowBox[{
    RowBox[{"Flatten", "[", 
     RowBox[{"data", ",", "1"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"EdgeForm", "[", "Blue", "]"}], ",", 
      RowBox[{"Polygon", "[", "\[IndentingNewLine]", 
       RowBox[{"tmp", "=", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"Drop", "[", 
           RowBox[{
            RowBox[{"MapThread", "[", 
             RowBox[{"List", ",", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"RotateLeft", "[", 
                  RowBox[{
                   RowBox[{"Partition", "[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"Apply", "[", 
                    RowBox[{"Times", ",", "d"}], "]"}], "]"}], ",", 
                    RowBox[{"d", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", "#"}], 
                  "]"}], "&"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"1", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"1", ",", "1"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], "]"}], ",", 
              "2"}], "]"}], ",", 
            RowBox[{"-", "1"}], ",", 
            RowBox[{"-", "1"}]}], "]"}], ",", "1"}], "]"}]}], 
       "\[IndentingNewLine]", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"VertexColors", "\[Rule]", "\[IndentingNewLine]", " ", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{"data", "/.", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"u_", ",", "v_"}], "}"}], "->", 
         RowBox[{"Hue", "[", 
          RowBox[{"g", "[", 
           RowBox[{"{", 
            RowBox[{"u", ",", "v"}], "}"}], "]"}], "]"}]}]}], ",", " ", "1"}],
       "]"}]}]}], "\[IndentingNewLine]", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.4049194361916285`*^9, 3.4049194991922193`*^9}, {
   3.4049195311681986`*^9, 3.404919636509672*^9}, {3.4049196717703743`*^9, 
   3.4049197142013874`*^9}, {3.4049197813279104`*^9, 3.404919839100984*^9}, {
   3.404919869124155*^9, 3.4049198780770288`*^9}, {3.404920759023768*^9, 
   3.404920926134061*^9}, {3.4049209646995153`*^9, 3.4049209799314175`*^9}, {
   3.4049210401980767`*^9, 3.4049210802556767`*^9}, {3.4049211472219696`*^9, 
   3.4049211772351265`*^9}, {3.4049316211175165`*^9, 3.404931696385747*^9}, {
   3.4049320457981777`*^9, 3.404932055642333*^9}, 3.404932669535067*^9, {
   3.4049327004595346`*^9, 3.40493274251*^9}, 3.404932852448083*^9, {
   3.404932913405736*^9, 3.4049329612945967`*^9}, {3.404933348501373*^9, 
   3.404933386796438*^9}, {3.4049335062381873`*^9, 3.4049335113255024`*^9}, 
   3.404933653780342*^9, {3.4049343370227966`*^9, 3.404934352444973*^9}, {
   3.4049346854638305`*^9, 3.4049346954081297`*^9}, {3.4049348027925406`*^9, 
   3.40493480631761*^9}, {3.404934837302163*^9, 3.404934861286651*^9}, {
   3.4049353824860992`*^9, 3.4049355074958544`*^9}, {3.4049355801503267`*^9, 
   3.4049355854379296`*^9}, {3.404935656279795*^9, 3.4049357197210193`*^9}, {
   3.4049357678201823`*^9, 3.4049357831722574`*^9}, {3.404935888363515*^9, 
   3.404935941279605*^9}, {3.4049362666574755`*^9, 3.4049362952085295`*^9}, {
   3.404936350247672*^9, 3.4049363514994717`*^9}, {3.404936471021336*^9, 
   3.404936499492275*^9}, {3.4049366155391426`*^9, 3.4049366208768177`*^9}, {
   3.4049368097183585`*^9, 3.404936811881469*^9}, {3.404937443649907*^9, 
   3.404937464179427*^9}, {3.4049387398036847`*^9, 3.4049387715192895`*^9}, {
   3.4049390353787007`*^9, 3.4049390710299644`*^9}, {3.40493961814668*^9, 
   3.4049397149658995`*^9}, {3.4049397661194544`*^9, 
   3.4049397850566845`*^9}, {3.4049398185548525`*^9, 3.404939859754094*^9}, 
   3.404939902255208*^9, {3.4049399567435584`*^9, 3.404939985164426*^9}, 
   3.404940576985422*^9, {3.4049406146395664`*^9, 3.4049406297913537`*^9}, {
   3.404940840093754*^9, 3.404940880652074*^9}, {3.4049409330073566`*^9, 
   3.4049409352305536`*^9}, {3.405006522150613*^9, 3.405006545844683*^9}, {
   3.4050998538403215`*^9, 3.40509985429097*^9}, {3.4050998853956957`*^9, 
   3.405099889111038*^9}, {3.4051895330440273`*^9, 3.4051895379110255`*^9}, {
   3.40519107321869*^9, 3.405191135748603*^9}, {3.4051912470786877`*^9, 
   3.4051912540987825`*^9}}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJyFmT+KVTEYR9+4E7egloHswSUIaulWUomj4j6mshbUxsouEBgQLGYJ8u6d
83t85yH3NuEwmYw5JPn++PTVu5evn5xOp7ub0+k87t/DV48/vp+/v+GPt+fv
T/jN9t2Hn2/f0jozvP367e/ws23+r/CH7effwu83vtN6o8Ff9p93+PP+++EX
+/rhT/vfD9/s/z7NX+G3+/7Cj/sP/9z9hB/Hbm+wR3zC+ITxWdebYXzC+ITx
CeOzrjcajE8YnzA+YXzC+KzzVxif2n8Yn/LXfe7sDfaITxifdb0ZxieMTxif
MD7reqPB+ITxCeMTxieMzzp/hfGpfYfxKX/d99bnzt5gj/is680wPmF8wviE
8VnXGw3GJ4xPGJ8wPmF81vkrjE/tP4xP+et+93xvfe7sDfaITxifMD5hfML4
rOuNBuMTxieMTxifMD7r/BXGp/Yfxqf8dfZd39V59Q76Hvsc2qNHfMI1Hk3F
o6l4NOMTrvFoKh5NxaOpeDQVj6bi0VQ8mopHU/Eo/nrd58NV3ID9Dvoe+xza
o0d8wviE8VnXGw3GJ4xPGJ8wPmF81vkrjE/tP4xP+evOWxx3HTf87vne+tzZ
G+wRnzA+63qjwfiE8QnjE8YnjM86f4Xxqf2H8Sl/3Xmf8xbHXccNv3u+tz53
9gZ7xGddbzQYnzA+YXzC+ITxWeevMD61/zA+5a87b3be57zFcddxw++e763P
nb3BHvEJ4xPGJ4xPGJ8wPuv8Fcan9h/Gp/z1+s5f6hDn0c4DncfUeHSJG373
fG997uytrncZazwarcaj0Wo8Gq3Go9FqPGL+Ctd4lP2HazyKv+66zXWH82bn
fc5bHHcdN/zu+d763Nkb7BGfMD5hfML4rPNXGJ/afxif8tdd97puc93hvNl5
n/MWx13HDb97vrc+d/YGe8QnjE8Yn3X+CuNT+w/jU/66+waue123ue5w3uy8
z3mL467jht8931ufO3uDPeITxmedt8L41P7D+JS/7r6L+waue123ue5w3uy8
z3mL467jht8931ufO3uDPeKzzl9hfGr/YXzKX3ffyn0X9w1c97puc93hvNl5
n/MWx13HDb97vrc+d/YGe8QnjE/tP4xP+es1rl36gO5juQ/jPkK970v3fV3V
Ic6jnQc6j6n3fV3FEb+Dvsc+h/bosd73pfu+dN/jr7tv6r6f+1buu7hv4LrX
dZvrDufNzvuctzjuOm743fO99bmzN9gjPmF8yl+vedWlD+0+qvuA+HTfxX0D
172u21x3OG923ue8xXHXccPvnu+tz529af8Z1f+MT/ft3Xd239R9P/et3Hdx
38B1r+s21x3Om533OW9x3HXc8Lvne+tzZ2+wR3xq/N//gxz1oY/6gEd9mKM6
+KgOOcoDj+Lw0Tt4dA4z/gP8CnLo
   "], 
   {EdgeForm[RGBColor[0, 0, 1]], PolygonBox[CompressedData["
1:eJwt2FO4WFcChuGzYydt7JzYtm3bODFPbNu2nTY22s7U9kxtz7Qd2529nv1e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     "]]},
   VertexColors->{
     Hue[0.], 
     Hue[0.18999999999999995`], 
     Hue[0.3599999999999999], 
     Hue[0.51], 
     Hue[0.64], 
     Hue[0.75], 
     Hue[0.8400000000000001], 
     Hue[0.91], 
     Hue[0.96], 
     Hue[0.99], 
     Hue[1.], 
     Hue[0.99], 
     Hue[0.96], 
     Hue[0.9099999999999999], 
     Hue[0.84], 
     Hue[0.7499999999999999], 
     Hue[0.6399999999999999], 
     Hue[0.5099999999999999], 
     Hue[0.3599999999999999], 
     Hue[0.18999999999999972`], 
     Hue[0.], 
     Hue[-0.18999999999999995`], 
     Hue[0.], 
     Hue[0.16999999999999993`], 
     Hue[0.3200000000000001], 
     Hue[0.45000000000000007`], 
     Hue[0.56], 
     Hue[0.6500000000000001], 
     Hue[0.7200000000000001], 
     Hue[0.77], 
     Hue[0.8], 
     Hue[0.81], 
     Hue[0.8], 
     Hue[0.77], 
     Hue[0.72], 
     Hue[0.65], 
     Hue[0.5599999999999999], 
     Hue[0.44999999999999996`], 
     Hue[0.31999999999999995`], 
     Hue[0.16999999999999993`], 
     Hue[-2.220446049250313*^-16], 
     Hue[-0.18999999999999995`], 
     Hue[-0.3599999999999999], 
     Hue[-0.16999999999999993`], 
     Hue[0.], 
     Hue[0.1500000000000002], 
     Hue[0.28000000000000014`], 
     Hue[0.3900000000000001], 
     Hue[0.48000000000000015`], 
     Hue[0.5500000000000002], 
     Hue[0.6000000000000001], 
     Hue[0.6300000000000001], 
     Hue[0.6400000000000001], 
     Hue[0.6300000000000001], 
     Hue[0.6000000000000001], 
     Hue[0.55], 
     Hue[0.4800000000000001], 
     Hue[0.39], 
     Hue[0.28], 
     Hue[0.15000000000000002`], 
     Hue[0.], 
     Hue[-0.17000000000000015`], 
     Hue[-0.3599999999999999], 
     Hue[-0.51], 
     Hue[-0.3200000000000001], 
     Hue[-0.1500000000000002], 
     Hue[0.], 
     Hue[0.12999999999999995`], 
     Hue[0.23999999999999994`], 
     Hue[0.32999999999999996`], 
     Hue[0.39999999999999997`], 
     Hue[0.44999999999999996`], 
     Hue[0.4799999999999999], 
     Hue[0.48999999999999994`], 
     Hue[0.4799999999999999], 
     Hue[0.4499999999999999], 
     Hue[0.3999999999999999], 
     Hue[0.32999999999999985`], 
     Hue[0.23999999999999982`], 
     Hue[0.12999999999999984`], 
     Hue[-1.6653345369377348`*^-16], 
     Hue[-0.1500000000000002], 
     Hue[-0.32000000000000034`], 
     Hue[-0.51], 
     Hue[-0.64], 
     Hue[-0.45000000000000007`], 
     Hue[-0.28000000000000014`], 
     Hue[-0.12999999999999995`], 
     Hue[0.], 
     Hue[0.10999999999999999`], 
     Hue[0.2], 
     Hue[0.27], 
     Hue[0.32], 
     Hue[0.35], 
     Hue[0.36], 
     Hue[0.35], 
     Hue[0.31999999999999995`], 
     Hue[0.26999999999999996`], 
     Hue[0.19999999999999993`], 
     Hue[0.10999999999999988`], 
     Hue[-1.1102230246251565`*^-16], 
     Hue[-0.13000000000000012`], 
     Hue[-0.28000000000000014`], 
     Hue[-0.4500000000000003], 
     Hue[-0.64], 
     Hue[-0.75], 
     Hue[-0.56], 
     Hue[-0.3900000000000001], 
     Hue[-0.23999999999999994`], 
     Hue[-0.10999999999999999`], 
     Hue[0.], 
     Hue[0.09000000000000002], 
     Hue[0.16000000000000003`], 
     Hue[0.21000000000000002`], 
     Hue[0.24000000000000002`], 
     Hue[0.25], 
     Hue[0.24], 
     Hue[0.20999999999999996`], 
     Hue[0.15999999999999998`], 
     Hue[0.08999999999999994], 
     Hue[-1.1102230246251565`*^-16], 
     Hue[-0.1100000000000001], 
     Hue[-0.2400000000000001], 
     Hue[-0.3900000000000001], 
     Hue[-0.5600000000000003], 
     Hue[-0.75], 
     Hue[-0.8400000000000001], 
     Hue[-0.6500000000000001], 
     Hue[-0.48000000000000015`], 
     Hue[-0.32999999999999996`], 
     Hue[-0.2], 
     Hue[-0.09000000000000002], 
     Hue[0.], 
     Hue[0.07000000000000002], 
     Hue[0.12], 
     Hue[0.15], 
     Hue[0.15999999999999998`], 
     Hue[0.14999999999999997`], 
     Hue[0.11999999999999994`], 
     Hue[0.06999999999999995], 
     Hue[-8.326672684688674*^-17], 
     Hue[-0.09000000000000014], 
     Hue[-0.20000000000000012`], 
     Hue[-0.3300000000000001], 
     Hue[-0.48000000000000015`], 
     Hue[-0.6500000000000004], 
     Hue[-0.8400000000000001], 
     Hue[-0.91], 
     Hue[-0.7200000000000001], 
     Hue[-0.5500000000000002], 
     Hue[-0.39999999999999997`], 
     Hue[-0.27], 
     Hue[-0.16000000000000003`], 
     Hue[-0.07000000000000002], 
     Hue[0.], 
     Hue[0.049999999999999975`], 
     Hue[0.07999999999999996], 
     Hue[0.08999999999999996], 
     Hue[0.07999999999999995], 
     Hue[0.049999999999999926`], 
     Hue[-6.938893903907228*^-17], 
     Hue[-0.0700000000000001], 
     Hue[-0.16000000000000014`], 
     Hue[-0.27000000000000013`], 
     Hue[-0.40000000000000013`], 
     Hue[-0.5500000000000002], 
     Hue[-0.7200000000000003], 
     Hue[-0.91], 
     Hue[-0.96], 
     Hue[-0.77], 
     Hue[-0.6000000000000001], 
     Hue[-0.44999999999999996`], 
     Hue[-0.32], 
     Hue[-0.21000000000000002`], 
     Hue[-0.12], 
     Hue[-0.049999999999999975`], 
     Hue[0.], 
     Hue[0.029999999999999992`], 
     Hue[0.03999999999999998], 
     Hue[0.029999999999999968`], 
     Hue[-4.85722573273506*^-17], 
     Hue[-0.050000000000000044`], 
     Hue[-0.12000000000000008`], 
     Hue[-0.21000000000000013`], 
     Hue[-0.3200000000000001], 
     Hue[-0.4500000000000001], 
     Hue[-0.6000000000000001], 
     Hue[-0.7700000000000002], 
     Hue[-0.96], 
     Hue[-0.99], 
     Hue[-0.8], 
     Hue[-0.6300000000000001], 
     Hue[-0.4799999999999999], 
     Hue[-0.35], 
     Hue[-0.24000000000000002`], 
     Hue[-0.15], 
     Hue[-0.07999999999999996], 
     Hue[-0.029999999999999992`], 
     Hue[0.], 
     Hue[0.00999999999999999], 
     Hue[-2.2551405187698492`*^-17], 
     Hue[-0.03000000000000004], 
     Hue[-0.08000000000000003], 
     Hue[-0.15000000000000008`], 
     Hue[-0.24000000000000013`], 
     Hue[-0.3500000000000001], 
     Hue[-0.4800000000000001], 
     Hue[-0.6300000000000001], 
     Hue[-0.8000000000000003], 
     Hue[-0.99], 
     Hue[-1.], 
     Hue[-0.81], 
     Hue[-0.6400000000000001], 
     Hue[-0.48999999999999994`], 
     Hue[-0.36], 
     Hue[-0.25], 
     Hue[-0.15999999999999998`], 
     Hue[-0.08999999999999996], 
     Hue[-0.03999999999999998], 
     Hue[-0.00999999999999999], 
     Hue[0.], 
     Hue[-0.010000000000000012`], 
     Hue[-0.04000000000000003], 
     Hue[-0.09000000000000002], 
     Hue[-0.16000000000000006`], 
     Hue[-0.2500000000000001], 
     Hue[-0.3600000000000001], 
     Hue[-0.4900000000000001], 
     Hue[-0.6400000000000001], 
     Hue[-0.8100000000000003], 
     Hue[-1.], 
     Hue[-0.99], 
     Hue[-0.8], 
     Hue[-0.6300000000000001], 
     Hue[-0.4799999999999999], 
     Hue[-0.35], 
     Hue[-0.24], 
     Hue[-0.14999999999999997`], 
     Hue[-0.07999999999999995], 
     Hue[-0.029999999999999968`], 
     Hue[2.2551405187698492`*^-17], 
     Hue[0.010000000000000012`], 
     Hue[0.], 
     Hue[-0.030000000000000016`], 
     Hue[-0.08000000000000002], 
     Hue[-0.15000000000000005`], 
     Hue[-0.2400000000000001], 
     Hue[-0.3500000000000001], 
     Hue[-0.4800000000000001], 
     Hue[-0.6300000000000001], 
     Hue[-0.8000000000000003], 
     Hue[-0.99], 
     Hue[-0.96], 
     Hue[-0.77], 
     Hue[-0.6000000000000001], 
     Hue[-0.4499999999999999], 
     Hue[-0.31999999999999995`], 
     Hue[-0.20999999999999996`], 
     Hue[-0.11999999999999994`], 
     Hue[-0.049999999999999926`], 
     Hue[4.85722573273506*^-17], 
     Hue[0.03000000000000004], 
     Hue[0.04000000000000003], 
     Hue[0.030000000000000016`], 
     Hue[0.], 
     Hue[-0.049999999999999996`], 
     Hue[-0.12000000000000002`], 
     Hue[-0.21000000000000008`], 
     Hue[-0.32000000000000006`], 
     Hue[-0.45000000000000007`], 
     Hue[-0.6000000000000001], 
     Hue[-0.7700000000000002], 
     Hue[-0.96], 
     Hue[-0.9099999999999999], 
     Hue[-0.72], 
     Hue[-0.55], 
     Hue[-0.3999999999999999], 
     Hue[-0.26999999999999996`], 
     Hue[-0.15999999999999998`], 
     Hue[-0.06999999999999995], 
     Hue[6.938893903907228*^-17], 
     Hue[0.050000000000000044`], 
     Hue[0.08000000000000003], 
     Hue[0.09000000000000002], 
     Hue[0.08000000000000002], 
     Hue[0.049999999999999996`], 
     Hue[0.], 
     Hue[-0.07000000000000003], 
     Hue[-0.1600000000000001], 
     Hue[-0.2700000000000001], 
     Hue[-0.4000000000000001], 
     Hue[-0.55], 
     Hue[-0.7200000000000002], 
     Hue[-0.9099999999999999], 
     Hue[-0.84], 
     Hue[-0.65], 
     Hue[-0.4800000000000001], 
     Hue[-0.32999999999999985`], 
     Hue[-0.19999999999999993`], 
     Hue[-0.08999999999999994], 
     Hue[8.326672684688674*^-17], 
     Hue[0.0700000000000001], 
     Hue[0.12000000000000008`], 
     Hue[0.15000000000000008`], 
     Hue[0.16000000000000006`], 
     Hue[0.15000000000000005`], 
     Hue[0.12000000000000002`], 
     Hue[0.07000000000000003], 
     Hue[0.], 
     Hue[-0.09000000000000005], 
     Hue[-0.20000000000000004`], 
     Hue[-0.33000000000000007`], 
     Hue[-0.4800000000000001], 
     Hue[-0.6500000000000002], 
     Hue[-0.84], 
     Hue[-0.7499999999999999], 
     Hue[-0.5599999999999999], 
     Hue[-0.39], 
     Hue[-0.23999999999999982`], 
     Hue[-0.10999999999999988`], 
     Hue[1.1102230246251565`*^-16], 
     Hue[0.09000000000000014], 
     Hue[0.16000000000000014`], 
     Hue[0.21000000000000013`], 
     Hue[0.24000000000000013`], 
     Hue[0.2500000000000001], 
     Hue[0.2400000000000001], 
     Hue[0.21000000000000008`], 
     Hue[0.1600000000000001], 
     Hue[0.09000000000000005], 
     Hue[0.], 
     Hue[-0.10999999999999999`], 
     Hue[-0.24], 
     Hue[-0.39], 
     Hue[-0.5600000000000002], 
     Hue[-0.7499999999999999], 
     Hue[-0.6399999999999999], 
     Hue[-0.44999999999999996`], 
     Hue[-0.28], 
     Hue[-0.12999999999999984`], 
     Hue[1.1102230246251565`*^-16], 
     Hue[0.1100000000000001], 
     Hue[0.20000000000000012`], 
     Hue[0.27000000000000013`], 
     Hue[0.3200000000000001], 
     Hue[0.3500000000000001], 
     Hue[0.3600000000000001], 
     Hue[0.3500000000000001], 
     Hue[0.32000000000000006`], 
     Hue[0.2700000000000001], 
     Hue[0.20000000000000004`], 
     Hue[0.10999999999999999`], 
     Hue[0.], 
     Hue[-0.13], 
     Hue[-0.28], 
     Hue[-0.4500000000000002], 
     Hue[-0.6399999999999999], 
     Hue[-0.5099999999999999], 
     Hue[-0.31999999999999995`], 
     Hue[-0.15000000000000002`], 
     Hue[1.6653345369377348`*^-16], 
     Hue[0.13000000000000012`], 
     Hue[0.2400000000000001], 
     Hue[0.3300000000000001], 
     Hue[0.40000000000000013`], 
     Hue[0.4500000000000001], 
     Hue[0.4800000000000001], 
     Hue[0.4900000000000001], 
     Hue[0.4800000000000001], 
     Hue[0.45000000000000007`], 
     Hue[0.4000000000000001], 
     Hue[0.33000000000000007`], 
     Hue[0.24], 
     Hue[0.13], 
     Hue[0.], 
     Hue[-0.15000000000000002`], 
     Hue[-0.3200000000000002], 
     Hue[-0.5099999999999999], 
     Hue[-0.3599999999999999], 
     Hue[-0.16999999999999993`], 
     Hue[0.], 
     Hue[0.1500000000000002], 
     Hue[0.28000000000000014`], 
     Hue[0.3900000000000001], 
     Hue[0.48000000000000015`], 
     Hue[0.5500000000000002], 
     Hue[0.6000000000000001], 
     Hue[0.6300000000000001], 
     Hue[0.6400000000000001], 
     Hue[0.6300000000000001], 
     Hue[0.6000000000000001], 
     Hue[0.55], 
     Hue[0.4800000000000001], 
     Hue[0.39], 
     Hue[0.28], 
     Hue[0.15000000000000002`], 
     Hue[0.], 
     Hue[-0.17000000000000015`], 
     Hue[-0.3599999999999999], 
     Hue[-0.18999999999999972`], 
     Hue[2.220446049250313*^-16], 
     Hue[0.17000000000000015`], 
     Hue[0.32000000000000034`], 
     Hue[0.4500000000000003], 
     Hue[0.5600000000000003], 
     Hue[0.6500000000000004], 
     Hue[0.7200000000000003], 
     Hue[0.7700000000000002], 
     Hue[0.8000000000000003], 
     Hue[0.8100000000000003], 
     Hue[0.8000000000000003], 
     Hue[0.7700000000000002], 
     Hue[0.7200000000000002], 
     Hue[0.6500000000000002], 
     Hue[0.5600000000000002], 
     Hue[0.4500000000000002], 
     Hue[0.3200000000000002], 
     Hue[0.17000000000000015`], 
     Hue[0.], 
     Hue[-0.18999999999999972`], 
     Hue[0.], 
     Hue[0.18999999999999995`], 
     Hue[0.3599999999999999], 
     Hue[0.51], 
     Hue[0.64], 
     Hue[0.75], 
     Hue[0.8400000000000001], 
     Hue[0.91], 
     Hue[0.96], 
     Hue[0.99], 
     Hue[1.], 
     Hue[0.99], 
     Hue[0.96], 
     Hue[0.9099999999999999], 
     Hue[0.84], 
     Hue[0.7499999999999999], 
     Hue[0.6399999999999999], 
     Hue[0.5099999999999999], 
     Hue[0.3599999999999999], 
     Hue[0.18999999999999972`], 
     Hue[0.]}],
  ImageSize->{260.6666666666666, Automatic}]], "Output",
 CellChangeTimes->{{3.405191108549493*^9, 3.405191136269352*^9}, 
   3.405191183667507*^9, 3.405191215943918*^9, 3.4051912548799057`*^9}]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{773, 750},
WindowMargins->{{Automatic, 222}, {Automatic, 77}},
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->FrontEnd`FileName[{$RootDirectory, "D:", "Mathematica60", 
   "BME"}, "CAM-style.nb", CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 112, 1, 116, "Title"],
Cell[CellGroupData[{
Cell[727, 28, 102, 1, 75, "MainSection"],
Cell[832, 31, 489, 13, 36, "Input"],
Cell[CellGroupData[{
Cell[1346, 48, 170, 3, 36, "Input"],
Cell[1519, 53, 357, 6, 742, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[1913, 64, 311, 8, 60, "Input"],
Cell[2227, 74, 428, 10, 345, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[2704, 90, 102, 1, 65, "MainSection"],
Cell[2809, 93, 401, 11, 64, "Input"],
Cell[3213, 106, 450, 12, 91, "Input"],
Cell[3666, 120, 414, 12, 36, "Input"],
Cell[4083, 134, 521, 13, 36, "Input"],
Cell[CellGroupData[{
Cell[4629, 151, 724, 17, 64, "Input"],
Cell[5356, 170, 13547, 245, 1986, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[18940, 420, 310, 7, 32, "Input"],
Cell[19253, 429, 117, 3, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19407, 437, 342, 9, 36, "Input"],
Cell[19752, 448, 1447, 29, 222, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21236, 482, 93, 1, 43, "Section"],
Cell[CellGroupData[{
Cell[21354, 487, 1127, 25, 145, "Input"],
Cell[22484, 514, 6642, 113, 554, 5866, 98, "CachedBoxData", "BoxData", \
"Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[29175, 633, 95, 1, 38, "Section"],
Cell[CellGroupData[{
Cell[29295, 638, 4259, 79, 280, "Input"],
Cell[33557, 719, 5870, 101, 410, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39464, 825, 4574, 88, 280, "Input"],
Cell[44041, 915, 16794, 513, 405, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
